<?php
/**
* ProofReader - A Mambo/Joomla! Component for misprint reporting
* @version 1.0 RC4 2007-04-10
* @package proofreader
* @copyright (C) 2005-2007 by Alexandr Balashov aka ERA - All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL.
* ProofReader is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');


if (defined( '_JEXEC') && class_exists('JApplication')) {
	require(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_proofreader'.DS.'include.proofreader.php');
} else {
	global $mosConfig_absolute_path;
	require($mosConfig_absolute_path.'/administrator/components/com_proofreader/include.proofreader.php');
}
LoadProofLanguage('admin');

require(PROOF_ABS_ADMIN.DS.'components'.DS.'com_proofreader'.DS.'config.proofreader.php');
//require_once( PROOF_ABS_ADMIN.DS.'components'.DS.'com_proofreader'.DS.'class.proofreader.php');


require_once( $mainframe->getPath( 'admin_html' ) );


$option	= strval( ProofGetParam( $_REQUEST, 'option', '') );
if ($option == '') {
	$option	= strval( ProofGetParam( $_POST, 'option', '') );
};

$task = ProofGetParam( $_REQUEST, 'task', '' );
if ($task == '') {
	$task = ProofGetParam( $_POST, 'task', '' );
};

$pr_id = ProofGetParam( $_REQUEST, 'pr_id', array(0) );
if ($pr_id == array(0)) {
	$pr_id = ProofGetParam( $_POST, 'pr_id', array(0) );
};

switch ($task) {
  case "publish":
    publishMistake( $pr_id, 'y', $option );
    break;

  case "unpublish":
    publishMistake( $pr_id, 'n', $option );
    break;

  case "new":
    editMistake( $option, 0 );
    break;

  case "edit":
    editMistake( $option, $pr_id[0] );
    break;

  case "remove":
    removeMistake( $pr_id, $option );
    break;

  case "save":
    saveMistake( $option );
    break;

  case "config":
    showConfig( $option );
    break;

  case "savesettings":
    saveConfig ($option);
    break;

  case "about":
    showAbout();
    break;

  default:
    showMistakes( $option );
    break;
}



function showMistakes ( $option ) {
	global $mainframe;

	$list_limit = ProofListLimit();

	$search = trim( strtolower( ProofGetParam( $_POST, 'search', '' ) ) );
	$limit = intval( ProofGetParam( $_POST, 'limit', $list_limit ) );
	if (!$limit) $limit = $list_limit;
	$limitstart = intval( ProofGetParam( $_POST, 'limitstart', 0 ) );

	$where = array();

	$filter_author	= $mainframe->getUserStateFromRequest( "filter_author{$option}", 'filter_author', 0 );
	$filter_status	= $mainframe->getUserStateFromRequest( "status{$option}", 'status', "" );

	if ($search) {
		$where[] = "LOWER(pr_mistake) LIKE '%$search%' or LOWER(pr_comment) LIKE '%$search%'";
	}

	if ( $filter_author <> "" ) {
		$where[] = "pr_author = '$filter_author'";
	}

	if ( $filter_status <> "" ) {
		$where[] = "pr_close = '$filter_status'";
	}

	$total = ProofDBResult("SELECT count(*) FROM #__proofreader AS a".(count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : ""));

	$rows = ProofDBObjectList("SELECT * FROM #__proofreader"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY pr_id DESC"
		. "\nLIMIT $limitstart,$limit");

	$pageNav = ProofNav( $total, $limitstart, $limit );

	$mistusers = ProofDBObjectList("SELECT DISTINCT pr_author FROM #__proofreader ORDER BY pr_author");

	$lists['author'][] = ProofListsMakeOption( '', '--== '._PROOFREADER_ADMINVIEW_AUTHORFILTER.' ==--' );

	for ($i=0, $n=count( $mistusers ); $i < $n; $i++) {
		$mistuser = &$mistusers[$i];
		$lists['author'][] = ProofListsMakeOption( $mistuser->pr_author, $mistuser->pr_author );
	};
	$lists['author'] = ProofListsSelectList( $lists['author'], 'filter_author', 'class="inputbox" size="1" onchange="document.adminForm.submit( );"', 'value', 'text', $filter_author );

	$lists['status'][] = ProofListsMakeOption( '', '--== '._PROOFREADER_ADMINVIEW_MISTAKESTATUS_ALL.' ==--' );
	$lists['status'][] = ProofListsMakeOption( 'y', _PROOFREADER_ADMINVIEW_MISTAKESTATUS_YES );
	$lists['status'][] = ProofListsMakeOption( 'n', _PROOFREADER_ADMINVIEW_MISTAKESTATUS_NO );
	$lists['status'] = ProofListsSelectList( $lists['status'], 'status', 'class="inputbox" size="1" onchange="document.adminForm.submit( );"', 'value', 'text', $filter_status );


	HTML_Proofreader::showMistakesEntries( $option, $lists, $rows, $search, $pageNav );
}


function removeMistake( $cid, $option ) {
  if (count( $cid )) {
    $cids = implode( ',', $cid );
    ProofDBQuery( "DELETE FROM #__proofreader WHERE pr_id IN ($cids)" );
  }
  ProofRedir( "index2.php?option=$option" );
}


function publishMistake( $cid=null, $publish='n',  $option ) {

  if (!is_array( $cid ) || count( $cid ) < 1) {
  	if ($publish == 'y') {
		$action = 'publish';
  	} else {
		$action = 'unpublish';
  	};
    echo "<script> alert('"._PROOFREADER_ADMINVIEW_CLOSEMISTAKEERROR." $action'); window.history.go(-1);</script>\n";
    exit;
  }

  $cids = implode( ',', $cid );

  ProofDBQuery( "UPDATE #__proofreader SET pr_close='$publish' WHERE pr_id IN ($cids)" );

  ProofRedir( "index2.php?option=$option" );
}


function editMistake( $option, $pr_id ) {
  if ($pr_id) {
    $rows = ProofDBObjectList( "SELECT * FROM #__proofreader WHERE pr_id = $pr_id" );
    $row = $rows[0];
  } else {
    $row->close = 0;
  }

  $yesno[] = ProofListsMakeOption( 'n', _PROOFREADER_NO );
  $yesno[] = ProofListsMakeOption( 'y', _PROOFREADER_YES );

  $publist = ProofListsSelectList( $yesno, 'pr_close', 'class="inputbox" size="2"', 'value', 'text', $row->pr_close);

  HTML_Proofreader::editMistake( $option, $row, $publist );
}


function saveMistake( $option ) {
	$author = strip_tags(ProofGetParam($_POST, 'pr_author', 0));
	$mistake = strip_tags(ProofGetParam($_POST, 'pr_mistake', ''));
	$variant = strip_tags(ProofGetParam($_POST, 'pr_variant', ''));
	$comment = strip_tags(ProofGetParam($_POST, 'pr_comment', ''));
	$close = strip_tags(ProofGetParam($_POST, 'pr_close', ''));
	$ip = strip_tags(ProofGetParam($_POST, 'pr_ip', ''));
	$id = intval(ProofGetParam($_POST, 'pr_id', ''));

	ProofDBQuery("UPDATE #__proofreader SET pr_author = '".$author."', pr_variant = '".$variant."', pr_mistake = '".$mistake."', pr_comment = '".$comment."', pr_close ='".$close."', pr_ip = '".$ip."' WHERE pr_id = ".$id);

	ProofRedir( "index2.php?option=$option" );
}


function showConfig( $option ) {
	$pr_offline_message = '';
	$pr_registered_only_message = '';
	$pr_thankuser_message = '';

	$rows = ProofDBObjectList( "SELECT * FROM #__proofreader_conf" );
    if (is_array($rows)) {
    	foreach ($rows as $row) {
			if ($row->param_name === "Offline message") {
				$pr_offline_message = $row->param_value;
			} elseif ($row->param_name === "Only registered") {
				$pr_registered_only_message = $row->param_value;
			} elseif ($row->param_name === "Thanks user message") {
				$pr_thankuser_message = $row->param_value;
			};
    	};
    };

	HTML_Proofreader::showConfig( $option, $pr_offline_message, $pr_registered_only_message, $pr_thankuser_message );
}


function saveConfig ($option) {
	$configfile = PROOF_ABS_ADMIN.DS."components".DS."com_proofreader".DS."config.proofreader.php";
	@chmod ($configfile, 0744);
	$permission = is_writable($configfile);
	if (!$permission) {
		ProofRedir("index2.php?option=$option&task=config", _PROOFREADER_ADMINCONFIG_NOTWRITEBLE);
		break;
	}

//	$pr_encode_page =		ProofGetParam( $_POST, 'pr_encode_page', 'windows-1251');
	$pr_offline  =					intval(ProofGetParam( $_POST, 'pr_offline', '0' ));
	$pr_registered =				intval(ProofGetParam( $_POST, 'pr_registered', '0' ));
	$pr_notify =					intval(ProofGetParam( $_POST, 'pr_notify', '1' ));
	$pr_notify_email =				ProofGetParam( $_POST, 'pr_notify_email', '' );
	$pr_variant_enable =			intval(ProofGetParam( $_POST, 'pr_variant_enable', '1' ));
	$pr_comment_enable =			intval(ProofGetParam( $_POST, 'pr_comment_enable', '1' ));
	$pr_duplicate_enable =			intval(ProofGetParam( $_POST, 'pr_duplicate_enable', '1' ));
	$pr_image_enable =				intval(ProofGetParam( $_POST, 'pr_image_enable', '0' ));
	$pr_ip_count =					intval(ProofGetParam( $_POST, 'pr_ip_count', '0' ));
	$pr_mistake_length =			intval(ProofGetParam( $_POST, 'pr_mistake_length', '250' ));
	$pr_variant_length =			intval(ProofGetParam( $_POST, 'pr_variant_length', '250' ));
	$pr_comment_length =			intval(ProofGetParam( $_POST, 'pr_comment_length', '250' ));
	$pr_module_debug_mode =			intval(ProofGetParam( $_POST, 'pr_module_debug_mode', '0' ));
	$pr_module_title_color =		ProofGetParam( $_POST, 'pr_module_title_color', 'ffffff' );
	$pr_module_title_bgcolor =		ProofGetParam( $_POST, 'pr_module_title_bgcolor', 'FB8712' );
	$pr_module_button_css_class =	ProofGetParam( $_POST, 'pr_module_button_css_class', '' );
	$pr_module_bgcolor =			ProofGetParam( $_POST, 'pr_module_bgcolor', 'ffffff' );
	$pr_adminview_mistake =			intval(ProofGetParam( $_POST, 'pr_adminview_mistake', '1' ));
	$pr_adminview_variant =			intval(ProofGetParam( $_POST, 'pr_adminview_variant', '1' ));
	$pr_adminview_comment =			intval(ProofGetParam( $_POST, 'pr_adminview_comment', '0' ));
	$pr_adminview_url =				intval(ProofGetParam( $_POST, 'pr_adminview_url', '1' ));
	$pr_adminview_close =			intval(ProofGetParam( $_POST, 'pr_adminview_close', '1' ));
	$pr_adminview_date =			intval(ProofGetParam( $_POST, 'pr_adminview_date', '1' ));
	$pr_adminview_author =			intval(ProofGetParam( $_POST, 'pr_adminview_author', '1' ));
	$pr_adminview_ip =				intval(ProofGetParam( $_POST, 'pr_adminview_ip', '1' ));
	$pr_mailsubject =				addslashes( ProofGetParam( $_POST, 'pr_mailsubject', '' ));
	// hook params
	$pr_alt_hook =					ProofGetParam( $_POST, 'pr_alt_hook', '0' );
	$pr_shift_hook =				ProofGetParam( $_POST, 'pr_shift_hook', '1' );
	$pr_ctrl_hook =					ProofGetParam( $_POST, 'pr_ctrl_hook', '0' );
	// Lytebox params
	$pr_use_lytebox =				intval(ProofGetParam( $_POST, 'pr_use_lytebox', '0' ));
	$pr_load_lytebox =				intval(ProofGetParam( $_POST, 'pr_load_lytebox', '0' ));

	$config = "<?php\n";
//	$config .= "\$pr_encode_page = \"$pr_encode_page\";\n";
	$config .= "\$pr_offline = \"$pr_offline\";\n";
	$config .= "\$pr_registered = \"$pr_registered\";\n";
	$config .= "\$pr_notify = \"$pr_notify\";\n";
	$config .= "\$pr_notify_email = \"$pr_notify_email\";\n";
	$config .= "\$pr_variant_enable = \"$pr_variant_enable\";\n";
	$config .= "\$pr_comment_enable = \"$pr_comment_enable\";\n";
	$config .= "\$pr_duplicate_enable = \"$pr_duplicate_enable\";\n";
	$config .= "\$pr_image_enable = \"$pr_image_enable\";\n";
	$config .= "\$pr_ip_count = \"$pr_ip_count\";\n";
	$config .= "\$pr_mistake_length = \"$pr_mistake_length\";\n";
	$config .= "\$pr_variant_length = \"$pr_variant_length\";\n";
	$config .= "\$pr_comment_length = \"$pr_comment_length\";\n";
	$config .= "\$pr_module_debug_mode = \"$pr_module_debug_mode\";\n";
	$config .= "\$pr_module_title_color = \"$pr_module_title_color\";\n";
	$config .= "\$pr_module_title_bgcolor = \"$pr_module_title_bgcolor\";\n";
	$config .= "\$pr_module_bgcolor = \"$pr_module_bgcolor\";\n";
	$config .= "\$pr_module_button_css_class = \"$pr_module_button_css_class\";\n";
	$config .= "\$pr_adminview_mistake = \"$pr_adminview_mistake\";\n";
	$config .= "\$pr_adminview_variant = \"$pr_adminview_variant\";\n";
	$config .= "\$pr_adminview_comment = \"$pr_adminview_comment\";\n";
	$config .= "\$pr_adminview_url = \"$pr_adminview_url\";\n";
	$config .= "\$pr_adminview_close = \"$pr_adminview_close\";\n";
	$config .= "\$pr_adminview_date = \"$pr_adminview_date\";\n";
	$config .= "\$pr_adminview_author = \"$pr_adminview_author\";\n";
	$config .= "\$pr_adminview_ip = \"$pr_adminview_ip\";\n";
	$config .= "\$pr_mailsubject = \"$pr_mailsubject\";\n";
	// hook
	$config .= "\$pr_alt_hook = \"$pr_alt_hook\";\n";
	$config .= "\$pr_shift_hook = \"$pr_shift_hook\";\n";
	$config .= "\$pr_ctrl_hook = \"$pr_ctrl_hook\";\n";
	// Lytebox
	$config .= "\$pr_use_lytebox = \"$pr_use_lytebox\";\n";
	$config .= "\$pr_load_lytebox = \"$pr_load_lytebox\";\n";

	$config .= "?>";

	if ($fp = fopen($configfile, "w")) {
		fputs($fp, $config, strlen($config));
		fclose ($fp);
	}
	@chmod ($configfile, 0644);


	$pr_registered_only_message = addslashes( ProofGetParam( $_POST, 'pr_registered_only_message', '' ));
	$pr_thankuser_message = addslashes( ProofGetParam( $_POST, 'pr_thankuser_message', '' ));
	$pr_offline_message = addslashes( ProofGetParam( $_POST, 'pr_offline_message', '' ));

	$rows = ProofDBObjectList( "SELECT * FROM #__proofreader_conf" );
    $pr_registered_only_message_b = 0;
    $pr_thankuser_message_b = 0;
    $pr_offline_message_b = 0;
    if (is_array($rows)) {
    	foreach ($rows as $row) {
			switch ($row->param_name) {
				case "Offline message":
					$pr_offline_message_b = 1;
				case "Only registered":
					$pr_registered_only_message_b = 1;
				case "Thanks user message":
					$pr_thankuser_message_b = 1;
			}
    	};
    };

    if ($pr_registered_only_message_b) {
    	ProofDBQuery( "UPDATE #__proofreader_conf SET param_value = '".$pr_registered_only_message."' WHERE param_name = 'Only registered' " );
    } else {
    	ProofDBQuery( "INSERT INTO #__proofreader_conf (param_id, param_name, param_value) VALUES (1, 'Only registered', '".$pr_registered_only_message."' ) " );
    };
    if ($pr_thankuser_message_b) {
    	ProofDBQuery( "UPDATE #__proofreader_conf SET param_value = '".$pr_thankuser_message."' WHERE param_name = 'Thanks user message' " );
    } else {
    	ProofDBQuery( "INSERT INTO #__proofreader_conf (param_id, param_name, param_value) VALUES (2, 'Thanks user message', '".$pr_thankuser_message."' ) " );
    };
    if ($pr_offline_message_b) {
    	ProofDBQuery( "UPDATE #__proofreader_conf SET param_value = '".$pr_offline_message."' WHERE param_name = 'Offline message' " );
    } else {
    	ProofDBQuery( "INSERT INTO #__proofreader_conf (param_id, param_name, param_value) VALUES (3, 'Offline message', '".$pr_offline_message."' ) " );
    };


	ProofRedir("index2.php?option=$option&task=config", _PROOFREADER_ADMINCONFIG_SAVED);
}


function showAbout() {
	HTML_Proofreader::showAbout();
}


?>