<?php
/**
* ProofReader - A Mambo/Joomla! Component for misprint reporting
* @version 1.0 RC8 2008-12-20
* @package proofreader
* @copyright (C) 2005-2007 by Alexandr Balashov aka ERA - All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL.
* ProofReader is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

//require($mosConfig_absolute_path."/administrator/components/com_proofreader/config.proofreader.php");

(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');

if (defined( '_JEXEC') && class_exists('JApplication')) {
	require(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_proofreader'.DS.'include.proofreader.php');
} else {
	global $mosConfig_absolute_path;
	require($mosConfig_absolute_path.'/administrator/components/com_proofreader/include.proofreader.php');
}
LoadProofLanguage('install');



class ProofreaderInstallerHTML {

	var $releaseDate = null;
	var $releaseVersion = '1.0 RC9';
	var $messages = array();
	var $warnings = array();
	var $xmlDoc = null;

	function ProofreaderInstallerHTML() {
/*
		require_once( PROOF_ABS . '/includes/domit/xml_domit_lite_include.php' );

		$this->xmlDoc = new DOMIT_Lite_Document();
		$this->xmlDoc->resolveErrors( false );
		if ($this->xmlDoc->loadXML( dirname(__FILE__) . '/proofreader.xml', false, true )) {
			$root = &$this->xmlDoc->documentElement;
			if (($root->getTagName() == 'mosinstall') 
			&& ($root->getAttribute( "type" ) == "component")) {
				$element 		= &$root->getElementsByPath('creationDate', 1);
				$this->releaseDate 	= $element ? $element->getText() : date();
				$element 		= &$root->getElementsByPath('version', 1);
				$this->releaseVersion	= $element ? $element->getText() : '';
			}
		}
*/
	}

	function setFilePermissions($filePath) {
		if (is_file( $filePath )) {
			if (!is_writable( $filePath ))
				@chmod( $filePath, 0666 );
			if (!is_writable( dirname( $filePath ) ))
				@chmod( dirname( $filePath ), 0777 );
		}
	}

	function setPermissions() {

		$_FRONTEND_PATH = PROOF_ABS . '/components/com_proofreader/';
		$_BACKEND_PATH = PROOF_ABS_ADMIN . '/components/com_proofreader/';

		$xmlDoc =& $this->xmlDoc;
		$root =& $xmlDoc->documentElement;

		$files_element =& $root->getElementsByPath( 'files', 1 );
		$files = $files_element->childNodes;

		if ($files !== null) {
			foreach ($files as $file) {
				if ($file->getAttribute('writable') === 'yes') {
	                        	$this->setFilePermissions($_FRONTEND_PATH . $file->getText());
				}
			}
		}

		$files_element =& $root->getElementsByPath( 'administration/files', 1 );
		$files = $files_element->childNodes;

		if ($files !== null) {
			foreach ($files as $file) {
				if ($file->getAttribute('writable') === 'yes') {
	                        	$this->setFilePermissions($_BACKEND_PATH . $file->getText());
				}
			}
		}
	}

	function addMessage( $message, $status = true) {
		$msg['text']	= $message;
		$msg['status']	= $status;
		$this->messages[] = $msg;
	}

	function addWarning( $message) {
		$msg['text']   = $message;
		$this->warnings[] = $msg;
	}

	function showInstallLog() {
		global $option;
?>
<script language="javascript" type="text/javascript">
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}
	submitform( pressbutton );
}
</script>
<center>
<div id="element-box"><div class="t"><div class="t"><div class="t"></div></div></div><div class="m">

<table width="95%" border="0" cellpadding="0" cellspacing="0">
<tr valign="top" align="left">
	<td width="50px"></td>
	<td>
		<span class="componentname">Proofreader <?php echo $this->releaseVersion; ?></span> <span class="componentdate">[<?php echo $this->releaseDate; ?>]</span><br />
		<span class="copyright">&copy; 2007-2008 era (<a href="http://www.joomlatune.ru" target="_blank">JoomlaTune.ru</a>). All rights reserved!<br /></span>
	</td>
</tr>
<tr valign="top" align="left">
        <td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<?php
		if (count($this->messages)) {
?>

<tr valign="top" align="left">
        <td>&nbsp;</td>
	<td>
		<span class="installheader"><?php echo _PROOFREADER_INSTALL_LOG; ?></span>
	</td>
</tr>
<tr valign="top" align="left">
        <td>&nbsp;</td>
	<td>
		<ul style="padding: 0 0 0 20px; marign:0;">
<?php
			foreach($this->messages as $message) {
				$status_class = $message['status'] ? 'ok' : 'err';
				$status_text  = $message['status'] ? _PROOFREADER_INSTALL_OK : _PROOFREADER_INSTALL_ERROR;
?>
			<li><?php echo $message['text']; ?>: <span class="status<?php echo $status_class; ?>"><?php echo $status_text; ?></span></li>
<?php
			}
?>
			<li><span class="statusok"><b><?php echo _PROOFREADER_INSTALL_INSTALLED; ?></b></span></li>
		</ul>
	</td>
</tr>
<?php
        	}
		if (count($this->warnings)) {
?>
<tr valign="top" align="left">
        <td>&nbsp;</td>
	<td><span class="installheader"><?php echo _PROOFREADER_INSTALL_WARNINGS; ?></span></td>
</tr>
<tr valign="top" align="left">
        <td>&nbsp;</td>
	<td>
		<ul style="padding: 0 0 0 20px; marign:0;">
<?php
			foreach($this->warnings as $warning) {
?>
		<li style="padding: 0 0 5px; 0"><?php echo $warning['text']; ?></li>
<?php
			}
?>
		</ul>
	</td>
</tr>
<?php
        	}
?>
<tr valign="top" align="right">
        <td></td>
	<td align="center" style="text-align: right;">
		<div class="button-left">
			<div class="next">
				<a href="<?php echo PROOF_LIVE; ?>/administrator/index2.php?option=com_proofreader&task=config"><?php echo _PROOFREADER_INSTALL_NEXT; ?></a>
			</div>
		</div>
	</td>
</tr>
</table>


</div><div class="b"><div class="b"><div class="b"></div></div></div></div>
</center>
<form action="index2.php" method="post" name="adminForm">
<input type="hidden" name="option" value="com_proofreader" />
<input type="hidden" name="task" value="config" />
<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminform">
</table>
</form>

<?php
	}
}







function com_install() {

	$installer = new ProofreaderInstallerHTML();
//	$installer->setPermissions();

	$_MAMBOTS_SRC_PATH = PROOF_ABS_ADMIN .DS. 'components'.DS.'com_proofreader'.DS.'mambots'.DS.'system';
	if (PROOF_VERSION == '1.5') {
		$_MAMBOTS_DST_PATH = PROOF_ABS .DS. 'plugins'.DS.'system';
		$plg_table = 'plugins';
	} else {
		$_MAMBOTS_DST_PATH = PROOF_ABS .DS. 'mambots'.DS.'system';
		$plg_table = 'mambots';
	}

	@chmod( $_MAMBOTS_DST_PATH. '/', 0777);
	if (is_file( $_MAMBOTS_DST_PATH . '/proofreader.systembot.php' ) ) {
		// remove old files
		ProofDBQuery( "DELETE FROM `#__".$plg_table."` WHERE `element` = 'proofreader.systembot';");
		@unlink( $_MAMBOTS_DST_PATH .DS. 'proofreader.systembot.php' );
		@unlink( $_MAMBOTS_DST_PATH .DS. 'proofreader.systembot.xml' );
	}

	$res1 = $res2 = $res3 = false;
	$res1 = @rename( $_MAMBOTS_SRC_PATH .DS. "proofreader.systembot.php", $_MAMBOTS_DST_PATH .DS. "proofreader.systembot.php");
	$res2 = @rename( $_MAMBOTS_SRC_PATH .DS. "proofreader.systembot.tmp", $_MAMBOTS_DST_PATH .DS. "proofreader.systembot.xml");
	$res3 = ProofDBQuery( "INSERT INTO `#__".$plg_table."` (`name`, `element`, `folder`, `access`, `ordering`, `published`, `iscore`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES ('Proofreader systembot', 'proofreader.systembot', 'system', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '' );");
	$result = $res1&&$res2&&$res3;
	$installer->addMessage( _PROOFREADER_INSTALL_INSTALL_SYSTEMBOT, $result);
	if ( !$res1 || !$res2) {
		$installer->addWarning( _PROOFREADER_INSTALL_INSTALL_SYSTEMBOT_WARNING);
	}

	if ((file_exists(PROOF_ABS_ADMIN .DS. 'components'.DS.'com_proofreader'.DS.'joomfish'.DS.'contentelements'.DS.'proofreader_conf.tmp')) and
	    (file_exists(PROOF_ABS_ADMIN .DS. 'components'.DS.'com_joomfish'.DS.'contentelements'))) {
		if (file_exists( PROOF_ABS_ADMIN .DS. 'components'.DS.'com_joomfish'.DS.'contentelements'.DS.'proofreader_conf.xml' ) ) {
			@unlink( PROOF_ABS_ADMIN .DS. 'components'.DS.'com_joomfish'.DS.'contentelements'.DS.'proofreader_conf.xml' );
		}

		$res1 = false;
		$res1 = @rename( PROOF_ABS_ADMIN . '/components/com_proofreader/joomfish/contentelements/proofreader_conf.tmp', PROOF_ABS_ADMIN . '/components/com_joomfish/contentelements/proofreader_conf.xml');
		$installer->addMessage( _PROOFREADER_INSTALL_INSTALL_JOOMFISH, $res1);
		if ( !$res1) {
			$installer->addWarning( _PROOFREADER_INSTALL_INSTALL_JOOMFISH_WARNING);
		}
	}

	$installer->showInstallLog();
}




















?>