<?php
/**
 * Proofreader - Joomla Mistake System
 *
 * System mambot for attaching Proofreader JavaScript to HEAD tag
 *
 * @version 1.0/1.5
 * @package Proofreader
 * @filename proofreader.systembot.php
 * @author Aleksandr A. Balashov (era@j-web.ru)
 * @copyright (C)2007-2009 by Aleksandr A. Balashov (http://www.j-web.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/

(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');

if (defined( '_JEXEC') && class_exists('JApplication')) {
	require(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_proofreader'.DS.'include.proofreader.php');
} else {
	global $mosConfig_absolute_path;
	require($mosConfig_absolute_path.'/administrator/components/com_proofreader/include.proofreader.php');
}


if (PROOF_VERSION == '1.5') {
	global $mainframe;
	$mainframe->registerEvent('onAfterRoute', 'plgSystemProofreader');
} else {
	global $_MAMBOTS;
	$_MAMBOTS->registerFunction( 'onAfterStart', 'plgSystemProofreader' );
}


function plgSystemProofreader() {

	$disable = false;

	if (PROOF_VERSION == '1.5') {
		$mainframe = & JFactory::getApplication('site');
		$document = & JFactory::getDocument();
		if (($document->getType() == 'raw') or ($mainframe->isAdmin())) {
    	    return;
		}
		if (isset($_REQUEST['format']) and $_REQUEST['format'] == 'pdf') $disable = true;
		if (isset($_REQUEST['print']) and intval($_REQUEST['print']) == 1) $disable = true;
		if (isset($_REQUEST['tmpl']) and $_REQUEST['tmpl'] == 'component') $disable = true;
		if (isset($_REQUEST['type']) and $_REQUEST['type'] == 'rss') $disable = true;
	} else {
		if (isset($_REQUEST['do_pdf']) and intval($_REQUEST['do_pdf']) == 1)$disable = true; 
	}

	if (!$disable) {
		if (isset($_SERVER['REQUEST_URI']) and $_SERVER['REQUEST_URI']) {
			$ref_url = substr(PROOF_LIVE, 0, -1).$_SERVER['REQUEST_URI'];
		} elseif (isset($_SERVER['REQUEST_URI']) and $_SERVER['REDIRECT_URL']) {
			$ref_url = substr(PROOF_LIVE, 0, -1).$_SERVER['REDIRECT_URL'].'?'.$_SERVER['REDIRECT_QUERY_STRING'];
		} else {
			$ref_url = substr(PROOF_LIVE, 0, -1).$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'];
		}

		if ($ref_url) {
			if (strstr($ref_url, 'administrator/')) { $disable = true; } else { $disable = false;}
		} else $disable = false;

		if (defined( '_JEXEC') && class_exists('JApplication')) {
			require(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_proofreader'.DS.'config.proofreader.php');
		} else {
			require(PROOF_ABS_ADMIN.DS.'components'.DS.'com_proofreader'.DS.'config.proofreader.php');
		}

		if ($pr_module_debug_mode) {
			$module_debug_mode = 'true';
		} else {
			$module_debug_mode = 'false';
		};

		$content='
			<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
				function pr_setup() {
					xajaxRequestUri=\''.GetPostUrl('sendmistake').'\';
					xajaxWaitCursor=true;
					xajaxDefinedPost=1;
					xajaxDebug='.$module_debug_mode.';
					xajaxStatusMessages=false;
					xajaxDefinedGet=0;
				}

			var xajaxRequestUri=\''.GetPostUrl('sendmistake').'\';
			var xajaxWaitCursor=true;
			var xajaxDefinedPost=1;
			var xajaxDebug='.$module_debug_mode.';
			var xajaxStatusMessages=false;
			var xajaxDefinedGet=0;

			function addEvent(element, eventType, functionName) {
				if (element.addEventListener) {
					element.addEventListener(eventType, functionName, false);
					return true;
				} else if (element.attachEvent) {
					var r = element.attachEvent(\'on\' + eventType, functionName);
					return r;
				} else {
					element[\'on\' + eventType] = functionName;
				}
			}
		';

		if ($pr_alt_hook) { $content .= ' var pr_alt = true; '; } else { $content .= ' var pr_alt = false; '; };
		if ($pr_shift_hook) { $content .= ' var pr_shift = true; '; } else { $content .= ' var pr_shift = false; '; };
		if ($pr_ctrl_hook) { $content .= ' var pr_ctrl = true; '; } else { $content .= ' var pr_ctrl = false; '; };

		if (!$pr_use_lytebox) {
			$content .= '
				var PReader_cur_page = "'.$ref_url.'";
				addEvent(window, \'load\',  addDivWindow);
				addEvent(window, \'load\',  keyPressInit);';
		} else {
			if ($pr_use_lytebox and (!isset($_REQUEST['task']) or ( isset($_REQUEST['task']) and $_REQUEST['task']!=='LBstep2'))) {
				$content .= '
					var PReader_cur_page = "'.$ref_url.'";
					var PR_LB_URL = "'.GetRawUrl('LBstep1').'";';				
			}
				$content .= '
					var PReader_selected = "";
					addEvent(window, \'load\',  keyPressInitLB); ';
		}
		
		$content .= '
			// ]]></script>
			';
		ProofAddTag('js', PROOF_LIVE.'components/com_proofreader/js/proofreader.js');
		ProofAddTag('js', PROOF_LIVE.'components/com_proofreader/js/xajax.js');
		if ($pr_load_lytebox and (!isset($_REQUEST['task']) or ( isset($_REQUEST['task']) and $_REQUEST['task']!=='LBstep2'))) {
			ProofAddTag('js', PROOF_LIVE.'components/com_proofreader/lytebox/lytebox.js');
			ProofAddTag('css', PROOF_LIVE.'components/com_proofreader/lytebox/lytebox.css');
		}

		ProofAddTag('', $content);
	}
}

?>