--
-- Структура таблицы `#__attachments`
--

CREATE TABLE `#__attachments` (
  `id` int(11) NOT NULL auto_increment,
  `filename` varchar(80) NOT NULL,
  `filename_sys` varchar(255) NOT NULL,
  `file_type` varchar(30) NOT NULL,
  `file_size` int(11) unsigned NOT NULL,
  `icon_filename` varchar(20) NOT NULL,
  `display_filename` varchar(80) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL,
  `uploader_id` int(11) NOT NULL,
  `article_id` int(11) unsigned NOT NULL,
  `published` tinyint(1) unsigned NOT NULL default '0',
  `user_field_1` varchar(100) NOT NULL default '',
  `user_field_2` varchar(100) NOT NULL default '',
  `user_field_3` varchar(100) NOT NULL default '',
  `create_date` datetime default NULL,
  `modification_date` datetime default NULL,
  `download_count` int(11) unsigned default '0',
  PRIMARY KEY  (`id`),
  KEY `attachment_article_id_index` (`article_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__attachments`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__banner`
--

CREATE TABLE `#__banner` (
  `bid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `type` varchar(30) NOT NULL default 'banner',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `imptotal` int(11) NOT NULL default '0',
  `impmade` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `imageurl` varchar(100) NOT NULL default '',
  `clickurl` varchar(200) NOT NULL default '',
  `date` datetime default NULL,
  `showBanner` tinyint(1) NOT NULL default '0',
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `custombannercode` text,
  `catid` int(10) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `tags` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY  (`bid`),
  KEY `viewbanner` (`showBanner`),
  KEY `idx_banner_catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__banner`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__bannerclient`
--

CREATE TABLE `#__bannerclient` (
  `cid` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `contact` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `extrainfo` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` time default NULL,
  `editor` varchar(50) default NULL,
  PRIMARY KEY  (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__bannerclient`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__bannertrack`
--

CREATE TABLE `#__bannertrack` (
  `track_date` date NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__bannertrack`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__categories`
--

CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `image` varchar(255) NOT NULL default '',
  `section` varchar(50) NOT NULL default '',
  `image_position` varchar(30) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cat_idx` (`section`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `#__categories`
--

INSERT INTO `#__categories` (`id`, `parent_id`, `title`, `name`, `alias`, `image`, `section`, `image_position`, `description`, `published`, `checked_out`, `checked_out_time`, `editor`, `ordering`, `access`, `count`, `params`) VALUES
(2, 0, 'Новости', '', 'novosti', '', '2', 'left', '', 1, 0, '0000-00-00 00:00:00', NULL, 1, 0, 0, ''),
(5, 0, '123', '', '123', '', '2', 'left', '', 1, 0, '0000-00-00 00:00:00', NULL, 2, 0, 0, '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__components`
--

CREATE TABLE `#__components` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `link` varchar(255) NOT NULL default '',
  `menuid` int(11) unsigned NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `admin_menu_link` varchar(255) NOT NULL default '',
  `admin_menu_alt` varchar(255) NOT NULL default '',
  `option` varchar(50) NOT NULL default '',
  `ordering` int(11) NOT NULL default '0',
  `admin_menu_img` varchar(255) NOT NULL default '',
  `iscore` tinyint(4) NOT NULL default '0',
  `params` text NOT NULL,
  `enabled` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `parent_option` (`parent`,`option`(32))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=93 ;

--
-- Дамп данных таблицы `#__components`
--

INSERT INTO `#__components` (`id`, `name`, `link`, `menuid`, `parent`, `admin_menu_link`, `admin_menu_alt`, `option`, `ordering`, `admin_menu_img`, `iscore`, `params`, `enabled`) VALUES
(1, 'Banners', '', 0, 0, '', 'Banner Management', 'com_banners', 0, 'js/ThemeOffice/component.png', 0, 'track_impressions=0\ntrack_clicks=0\ntag_prefix=\n\n', 1),
(2, 'Banners', '', 0, 1, 'option=com_banners', 'Active Banners', 'com_banners', 1, 'js/ThemeOffice/edit.png', 0, '', 1),
(3, 'Clients', '', 0, 1, 'option=com_banners&c=client', 'Manage Clients', 'com_banners', 2, 'js/ThemeOffice/categories.png', 0, '', 1),
(4, 'Web Links', 'option=com_weblinks', 0, 0, '', 'Manage Weblinks', 'com_weblinks', 0, 'js/ThemeOffice/component.png', 0, 'show_comp_description=1\ncomp_description=\nshow_link_hits=1\nshow_link_description=1\nshow_other_cats=1\nshow_headings=1\nshow_page_title=1\nlink_target=0\nlink_icons=\n\n', 1),
(5, 'Links', '', 0, 4, 'option=com_weblinks', 'View existing weblinks', 'com_weblinks', 1, 'js/ThemeOffice/edit.png', 0, '', 1),
(6, 'Categories', '', 0, 4, 'option=com_categories&section=com_weblinks', 'Manage weblink categories', '', 2, 'js/ThemeOffice/categories.png', 0, '', 1),
(7, 'Contacts', 'option=com_contact', 0, 0, '', 'Edit contact details', 'com_contact', 0, 'js/ThemeOffice/component.png', 1, 'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n', 1),
(8, 'Contacts', '', 0, 7, 'option=com_contact', 'Edit contact details', 'com_contact', 0, 'js/ThemeOffice/edit.png', 1, '', 1),
(9, 'Categories', '', 0, 7, 'option=com_categories&section=com_contact_details', 'Manage contact categories', '', 2, 'js/ThemeOffice/categories.png', 1, 'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n', 1),
(10, 'Polls', 'option=com_poll', 0, 0, 'option=com_poll', 'Manage Polls', 'com_poll', 0, 'js/ThemeOffice/component.png', 0, '', 1),
(11, 'News Feeds', 'option=com_newsfeeds', 0, 0, '', 'News Feeds Management', 'com_newsfeeds', 0, 'js/ThemeOffice/component.png', 0, '', 1),
(12, 'Feeds', '', 0, 11, 'option=com_newsfeeds', 'Manage News Feeds', 'com_newsfeeds', 1, 'js/ThemeOffice/edit.png', 0, 'show_headings=1\nshow_name=1\nshow_articles=1\nshow_link=1\nshow_cat_description=1\nshow_cat_items=1\nshow_feed_image=1\nshow_feed_description=1\nshow_item_description=1\nfeed_word_count=0\n\n', 1),
(13, 'Categories', '', 0, 11, 'option=com_categories&section=com_newsfeeds', 'Manage Categories', '', 2, 'js/ThemeOffice/categories.png', 0, '', 1),
(14, 'User', 'option=com_user', 0, 0, '', '', 'com_user', 0, '', 1, '', 1),
(15, 'Search', 'option=com_search', 0, 0, 'option=com_search', 'Search Statistics', 'com_search', 0, 'js/ThemeOffice/component.png', 1, 'enabled=0\n\n', 1),
(16, 'Categories', '', 0, 1, 'option=com_categories&section=com_banner', 'Categories', '', 3, '', 1, '', 1),
(17, 'Wrapper', 'option=com_wrapper', 0, 0, '', 'Wrapper', 'com_wrapper', 0, '', 1, '', 1),
(18, 'Mail To', '', 0, 0, '', '', 'com_mailto', 0, '', 1, '', 1),
(19, 'Media Manager', '', 0, 0, 'option=com_media', 'Media Manager', 'com_media', 0, '', 1, 'upload_extensions=bmp,csv,doc,epg,gif,ico,jpg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,EPG,GIF,ICO,JPG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\nupload_maxsize=10000000\nfile_path=images\nimage_path=images/stories\nrestrict_uploads=1\ncheck_mime=1\nimage_extensions=bmp,gif,jpg,png\nignore_extensions=\nupload_mime=image/jpeg,image/gif,image/png,image/bmp,application/x-shockwave-flash,application/msword,application/excel,application/pdf,application/powerpoint,text/plain,application/x-zip\nupload_mime_illegal=text/html\nenable_flash=0\n\n', 1),
(20, 'Articles', 'option=com_content', 0, 0, '', '', 'com_content', 0, '', 1, 'show_noauth=0\nshow_title=1\nlink_titles=1\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_author=1\nshow_create_date=1\nshow_modify_date=1\nshow_item_navigation=1\nshow_readmore=1\nshow_vote=0\nshow_icons=1\nshow_pdf_icon=0\nshow_print_icon=1\nshow_email_icon=0\nshow_hits=1\nfeed_summary=0\nfilter_tags=\nfilter_attritbutes=\n\n', 1),
(21, 'Configuration Manager', '', 0, 0, '', 'Configuration', 'com_config', 0, '', 1, '', 1),
(22, 'Installation Manager', '', 0, 0, '', 'Installer', 'com_installer', 0, '', 1, '', 1),
(23, 'Language Manager', '', 0, 0, '', 'Languages', 'com_languages', 0, '', 1, 'administrator=ru-RU\nsite=ru-RU', 1),
(24, 'Mass mail', '', 0, 0, '', 'Mass Mail', 'com_massmail', 0, '', 1, 'mailSubjectPrefix=\nmailBodySuffix=\n\n', 1),
(25, 'Menu Editor', '', 0, 0, '', 'Menu Editor', 'com_menus', 0, '', 1, '', 1),
(27, 'Messaging', '', 0, 0, '', 'Messages', 'com_messages', 0, '', 1, '', 1),
(28, 'Modules Manager', '', 0, 0, '', 'Modules', 'com_modules', 0, '', 1, '', 1),
(29, 'Plugin Manager', '', 0, 0, '', 'Plugins', 'com_plugins', 0, '', 1, '', 1),
(30, 'Template Manager', '', 0, 0, '', 'Templates', 'com_templates', 0, '', 1, '', 1),
(31, 'User Manager', '', 0, 0, '', 'Users', 'com_users', 0, '', 1, 'allowUserRegistration=1\nnew_usertype=Registered\nuseractivation=1\nfrontend_userparams=1\n\n', 1),
(32, 'Cache Manager', '', 0, 0, '', 'Cache', 'com_cache', 0, '', 1, '', 1),
(33, 'Control Panel', '', 0, 0, '', 'Control Panel', 'com_cpanel', 0, '', 1, '', 1),
(34, 'Xmap', 'option=com_xmap', 0, 0, 'option=com_xmap', 'Xmap', 'com_xmap', 0, 'js/ThemeOffice/component.png', 0, '', 1),
(35, 'Attachments', 'option=com_attachments', 0, 0, 'option=com_attachments', 'Attachments', 'com_attachments', 0, 'components/com_attachments/attachments.png', 0, '', 1),
(91, 'About ProofReader', '', 0, 88, 'option=com_proofreader&task=about', 'About ProofReader', 'com_proofreader', 2, 'js/ThemeOffice/component.png', 0, '', 1),
(37, 'eXtplorer', 'option=com_extplorer', 0, 0, 'option=com_extplorer', 'eXtplorer', 'com_extplorer', 0, '../administrator/components/com_extplorer/images/joomla_x_icon.png', 0, '', 1),
(89, 'View messages', '', 0, 88, 'option=com_proofreader&task=view', 'View messages', 'com_proofreader', 0, 'js/ThemeOffice/component.png', 0, '', 1),
(46, 'NDEditorSwitch', 'option=com_ndeditorswitch', 0, 0, 'option=com_ndeditorswitch', 'NDEditorSwitch', 'com_ndeditorswitch', 0, 'components/com_ndeditorswitch/media/images/icon-16-nd.png', 0, '', 1),
(47, 'JCE Administration', 'option=com_jce', 0, 0, 'option=com_jce', 'JCE Administration', 'com_jce', 0, '../administrator/components/com_jce/img/logo.png', 0, '', 1),
(48, 'Control Panel', '', 0, 47, 'option=com_jce', 'Control Panel', 'com_jce', 0, 'templates/khepri/images/menu/icon-16-cpanel.png', 0, '', 1),
(49, 'Configuration', '', 0, 47, 'option=com_jce&type=config', 'Configuration', 'com_jce', 1, 'templates/khepri/images/menu/icon-16-config.png', 0, '', 1),
(50, 'Groups', '', 0, 47, 'option=com_jce&type=group', 'Groups', 'com_jce', 2, 'templates/khepri/images/menu/icon-16-user.png', 0, '', 1),
(51, 'Plugins', '', 0, 47, 'option=com_jce&type=plugin', 'Plugins', 'com_jce', 3, 'templates/khepri/images/menu/icon-16-plugin.png', 0, '', 1),
(52, 'Install', '', 0, 47, 'option=com_jce&type=install', 'Install', 'com_jce', 4, 'templates/khepri/images/menu/icon-16-install.png', 0, '', 1),
(90, 'Edit Config', '', 0, 88, 'option=com_proofreader&task=config', 'Edit Config', 'com_proofreader', 1, 'js/ThemeOffice/component.png', 0, '', 1),
(88, 'ProofReader', 'option=com_proofreader', 0, 0, 'option=com_proofreader', 'ProofReader', 'com_proofreader', 0, 'js/ThemeOffice/component.png', 0, '', 1),
(78, 'JComments', 'option=com_jcomments', 0, 0, 'option=com_jcomments', 'JComments', 'com_jcomments', 0, 'class:jcomments-logo', 0, 'object_group=com_jcomments\n', 1),
(79, 'Manage comments', '', 0, 78, 'option=com_jcomments&task=view', 'Manage comments', 'com_jcomments', 0, 'class:jcomments-edit', 0, '', 1),
(80, 'Settings', '', 0, 78, 'option=com_jcomments&task=settings', 'Settings', 'com_jcomments', 1, 'class:jcomments-settings', 0, '', 1),
(81, 'Smiles', '', 0, 78, 'option=com_jcomments&task=smiles', 'Smiles', 'com_jcomments', 2, 'class:jcomments-smiles', 0, '', 1),
(82, 'Import', '', 0, 78, 'option=com_jcomments&task=import', 'Import', 'com_jcomments', 3, 'class:jcomments-import', 0, '', 1),
(83, 'About', '', 0, 78, 'option=com_jcomments&task=about', 'About', 'com_jcomments', 4, 'class:jcomments-logo', 0, '', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `#__contact_details`
--

CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `con_position` varchar(255) default NULL,
  `address` text,
  `suburb` varchar(100) default NULL,
  `state` varchar(100) default NULL,
  `country` varchar(100) default NULL,
  `postcode` varchar(100) default NULL,
  `telephone` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `misc` mediumtext,
  `image` varchar(255) default NULL,
  `imagepos` varchar(20) default NULL,
  `email_to` varchar(255) default NULL,
  `default_con` tinyint(1) unsigned NOT NULL default '0',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  `catid` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `mobile` varchar(255) NOT NULL default '',
  `webpage` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__contact_details`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__content`
--

CREATE TABLE `#__content` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `title_alias` varchar(255) NOT NULL default '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL default '0',
  `sectionid` int(11) unsigned NOT NULL default '0',
  `mask` int(11) unsigned NOT NULL default '0',
  `catid` int(11) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL default '0',
  `created_by_alias` varchar(255) NOT NULL default '',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` text NOT NULL,
  `version` int(11) unsigned NOT NULL default '1',
  `parentid` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0',
  `metadata` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_section` (`sectionid`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `#__content`
--

INSERT INTO `#__content` (`id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`) VALUES
(5, 'Что такое Joomla? ', 'chto-takoe-joomla-', '', '<p>Мы рады представить вам относительно молодую систему управления контентом Joomla! Но ее молодость сродни скорее новому году, который приходит на смену старому. Joomla! появилась как результат многолетней работы над ее знаменитой предшественницей Mambo (в прошлом MOS, по-русски: Мамбо).</p>\r\n<p>{pub}<br /><a href="index.php?option=com_user&amp;task=register" title="Скрытый текст: Только для зарегистрированных пользователей">Скрытый текст: Только для зарегистрированных пользователей</a>{/pub}{reg} Проверка скрытого текста...<br />{/reg}</p>\r\n<p>Команда разработчиков создала Joomla! 1.0 на основе Mambo 4.5.2.3 и здесь пути этих двух систем разошлись.</p>\r\n<p> </p>\r\n', '\r\n<br /> <br /> Joomla представляет собой набор скриптов, написанных на языке программирования PHP. Этот язык был специально разработан для написания вэб-приложений.<br /> В вэб-приложениях существуют две т.н. "стороны" выполнения кода - серверная и клиентская. К клиентской части относятся HTML, CSS, Javascript, а к серверной ASP, JAVA, PHP и т.д. Исходя из этого, для работы (выполнения) скриптов Joomla, необходимо наличие вэб-сервера с поддержкой PHP и MySQL (рекомендуется Apache версии 1.3 и старше) и вєб-браузера у пользователя (самые популярные - Internet Explorer, Mozilla Firefox, Opera).<br /> Обычно вэб-сервер - это прерогатива хостеров, однако вы можете достаточно просто и быстро установить D.E.N.W.E.R., который установит на ваш компьютер готовый пакет программного обеспечения вэб-сервера и на котором вы сможете развернуть и установить CMS Joomla.{comments}', 1, 2, 0, 2, '2009-05-18 13:38:25', 62, '', '2009-05-19 18:58:53', 62, 0, '0000-00-00 00:00:00', '2009-05-18 13:38:25', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=', 6, 0, 1, 'joomla, джумла, что это такое', '', 0, 65, 'robots=\nauthor='),
(3, 'Название Joomla!', 'nazvanie-joomla', '', 'Название Joomla! было выбрано в результате конкурса, результаты которого оценивали специалисты в области брендинга и маркетинга. Основой для названия послужило слово "Jumla", которое в переводе с суахили означает "все вместе" или "в целом", так как многие команды, участвовавшие в проекте Mambo, были единодушны в стремлении защитить интересы создателей и сообщества, которое и было истинной причиной успеха Mambo.', '', 1, 2, 0, 2, '2009-05-18 04:10:31', 62, '', '2009-05-18 13:40:24', 62, 0, '0000-00-00 00:00:00', '2009-05-18 04:10:31', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=Название Джумла! -д-ж-у-м-л-а-\nreadmore=', 13, 0, 3, '12312, sdf, dsf, ыфвыф, фыв', '', 0, 21, 'robots=\nauthor='),
(4, 'Характеристики Joomla!', 'xarakteristiki-joomla', '', '<p><span class="small"><span class="mainpage">\r\n<h4 align="justify">Характеристики Joomla!</h4>\r\n</span><span class="mainpage">\r\n<div align="justify">\r\n<div align="left">\r\n<ul>\r\n<li>Полностью основанный на БД движок с использованием PHP/MySQL. (<a href="http://extensions.joomla.org/">проверка ссылки</a>)</li>\r\n</ul>\r\n<ul>\r\n<li>Модуль безопасности для многоуровневой аутентификации пользователей/администраторов.</li>\r\n<li>Секции новостей, продукции или услуг легко редактируемы и управляемы.</li>\r\n<li>Разделы тем могут быть добавлены авторами.</li>\r\n<li>Полностью настраиваемые схемы расположения элементов, включая левый, правый и центральный блоки меню.</li>\r\n<li>Закачка изображений при помощи браузера в вашу собственную библиотеку - для последующего использования с любого места сайта.</li>\r\n<li>Форум/Опросы/Голосования для эффективной обратной связи.</li>\r\n<li>Работа под Linux, FreeBSD, MacOSX, Solaris, AIX, SCO, WinNT, Win2K.           \r\n', '\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h4 align="justify">Возможности администрирования:</h4>\r\n<br /> </span><span class="mainpage">\r\n<div align="justify">\r\n<div align="left">\r\n<ul>\r\n<li>Возможность создавать неограниченное количество страниц</li>\r\n<li>Четкая организация структуры сайта</li>\r\n<li>Для каждой динамической страницы можно создать свое описание и ключевые слова в целях повышения рейтинга в поисковых системах</li>\r\n<li>Начало и окончание публикации любых материалов можно запрограммировать по календарю</li>\r\n<li>Возможность ограничить доступ к определенным разделам сайта только для зарегистрированных пользователей</li>\r\n<li>Секции новостей, продукции или услуг легко редактируемы и управляемы</li>\r\n<li>Полностью настраиваемые схемы расположения элементов по 5 областям, что позволяет сделать оригинальный дизайн</li>\r\n<li>Закачка изображений при помощи браузера в вашу собственную библиотеку - для последующего использования с любого места сайта</li>\r\n<li>Опросы и голосования для эффективной обратной связи</li>\r\n<li>Различные модули - такие как последние новости, счетчик посещений, подробная статистика посещений, гостевая книга, форум и т.д.</li>\r\n<li>Причем Вы сами выбираете, будут ли показаны эти модули и на каких страницах</li>\r\n<li>Возможность создания не одной, а нескольких форм обратной связи для каждого контакта.</li>\r\n<li>Изменение порядка объектов, включая новости, вопросы, статьи и т.д.</li>\r\n<li>Генератор показа случайной новости.</li>\r\n<li>Модуль приёма от удалённых авторов новостей, статей и ссылок.</li>\r\n<li>Иерархия объектов - количество секций, разделов, подразделов и страниц, зависит от вашего желания.</li>\r\n<li>Библиотека изображений позволит Вам хранить все Ваши GIF- и JPEG-файлы под рукой для лёгкого доступа.</li>\r\n<li>Менеджер рассылки новостей. Выбирайте из более чем 360 служб рассылки новостей по всему миру.</li>\r\n<li>Менеджер архива. Помещайте Ваши старые статьи в архив, чем просто удалять их.</li>\r\n<li>Возможность распечатать или отправить другу на e-mail любую статью с сайта.</li>\r\n<li>Выбор из 3 визуальных редакторов, что упрощает редактирование материалов до уровня редактирования текста в программе Word.</li>\r\n<li>Предварительный просмотр перед окончательным размещением.</li>\r\n<li>Возможность легкой смены дизайна.</li>\r\n<li>Экономное использование места на сервере за счет использование базы данных MYSQL.</li>\r\n<li>Возможность использования адресов страниц адаптированных для лучшей индексации всеми поисковыми системами.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<p align="justify"><br /> На сегодня можно найти <strong>более 1800</strong> модулей и компонентов, которые удовлетворят требования любого автора сайта. Система подходит как для небольшого, так и для крупного корпоративного сайта или информационного проекта.</p>\r\n<div align="justify"></div>\r\n<p align="justify">Таким образом, установив эту систему на свой веб-сайт, Вы получаете полный контроль над обновлением информации и развитием Вашего веб-сайта. И для этого совсем не нужно иметь никаких специальных знаний.</p>\r\n</span></span></p>', 1, 2, 0, 2, '2009-05-18 09:21:21', 62, '', '2009-05-18 13:40:39', 62, 0, '0000-00-00 00:00:00', '2009-05-18 09:21:21', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=Характеристики Joomla - тайтл свой пишем\nreadmore=', 8, 0, 2, 'sad, фыв, asd', '', 0, 33, 'robots=\nauthor='),
(9, 'Что такое Joomla? ', 'chto-takoe-joomla-', '', '<p>Мы рады представить вам относительно молодую систему управления контентом Joomla! Но ее молодость сродни скорее новому году, который приходит на смену старому. Joomla! появилась как результат многолетней работы над ее знаменитой предшественницей Mambo (в прошлом MOS, по-русски: Мамбо).</p>\r\n<p>{pub}<br /><a href="index.php?option=com_user&amp;task=register" title="Скрытый текст: Только для зарегистрированных пользователей">Скрытый текст: Только для зарегистрированных пользователей</a>{/pub}{reg} Проверка скрытого текста...<br />{/reg}</p>\r\n<p>Команда разработчиков создала Joomla! 1.0 на основе Mambo 4.5.2.3 и здесь пути этих двух систем разошлись.</p>\r\n<p> </p>\r\n', '\r\n<br /> <br /> Joomla представляет собой набор скриптов, написанных на языке программирования PHP. Этот язык был специально разработан для написания вэб-приложений.<br /> В вэб-приложениях существуют две т.н. "стороны" выполнения кода - серверная и клиентская. К клиентской части относятся HTML, CSS, Javascript, а к серверной ASP, JAVA, PHP и т.д. Исходя из этого, для работы (выполнения) скриптов Joomla, необходимо наличие вэб-сервера с поддержкой PHP и MySQL (рекомендуется Apache версии 1.3 и старше) и вєб-браузера у пользователя (самые популярные - Internet Explorer, Mozilla Firefox, Opera).<br /> Обычно вэб-сервер - это прерогатива хостеров, однако вы можете достаточно просто и быстро установить D.E.N.W.E.R., который установит на ваш компьютер готовый пакет программного обеспечения вэб-сервера и на котором вы сможете развернуть и установить CMS Joomla.{comments}', 1, 2, 0, 5, '2009-05-18 13:38:25', 62, '', '2009-05-19 18:58:53', 62, 0, '0000-00-00 00:00:00', '2009-05-18 13:38:25', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=', 0, 0, 3, 'joomla, джумла, что это такое', '', 0, 0, 'robots=\nauthor='),
(10, 'Характеристики Joomla!', 'xarakteristiki-joomla', '', '<p><span class="small"><span class="mainpage">\r\n<h4 align="justify">Характеристики Joomla!</h4>\r\n</span><span class="mainpage">\r\n<div align="justify">\r\n<div align="left">\r\n<ul>\r\n<li>Полностью основанный на БД движок с использованием PHP/MySQL. (<a href="http://extensions.joomla.org/">проверка ссылки</a>)</li>\r\n</ul>\r\n<ul>\r\n<li>Модуль безопасности для многоуровневой аутентификации пользователей/администраторов.</li>\r\n<li>Секции новостей, продукции или услуг легко редактируемы и управляемы.</li>\r\n<li>Разделы тем могут быть добавлены авторами.</li>\r\n<li>Полностью настраиваемые схемы расположения элементов, включая левый, правый и центральный блоки меню.</li>\r\n<li>Закачка изображений при помощи браузера в вашу собственную библиотеку - для последующего использования с любого места сайта.</li>\r\n<li>Форум/Опросы/Голосования для эффективной обратной связи.</li>\r\n<li>Работа под Linux, FreeBSD, MacOSX, Solaris, AIX, SCO, WinNT, Win2K.           \r\n', '\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h4 align="justify">Возможности администрирования:</h4>\r\n<br /> </span><span class="mainpage">\r\n<div align="justify">\r\n<div align="left">\r\n<ul>\r\n<li>Возможность создавать неограниченное количество страниц</li>\r\n<li>Четкая организация структуры сайта</li>\r\n<li>Для каждой динамической страницы можно создать свое описание и ключевые слова в целях повышения рейтинга в поисковых системах</li>\r\n<li>Начало и окончание публикации любых материалов можно запрограммировать по календарю</li>\r\n<li>Возможность ограничить доступ к определенным разделам сайта только для зарегистрированных пользователей</li>\r\n<li>Секции новостей, продукции или услуг легко редактируемы и управляемы</li>\r\n<li>Полностью настраиваемые схемы расположения элементов по 5 областям, что позволяет сделать оригинальный дизайн</li>\r\n<li>Закачка изображений при помощи браузера в вашу собственную библиотеку - для последующего использования с любого места сайта</li>\r\n<li>Опросы и голосования для эффективной обратной связи</li>\r\n<li>Различные модули - такие как последние новости, счетчик посещений, подробная статистика посещений, гостевая книга, форум и т.д.</li>\r\n<li>Причем Вы сами выбираете, будут ли показаны эти модули и на каких страницах</li>\r\n<li>Возможность создания не одной, а нескольких форм обратной связи для каждого контакта.</li>\r\n<li>Изменение порядка объектов, включая новости, вопросы, статьи и т.д.</li>\r\n<li>Генератор показа случайной новости.</li>\r\n<li>Модуль приёма от удалённых авторов новостей, статей и ссылок.</li>\r\n<li>Иерархия объектов - количество секций, разделов, подразделов и страниц, зависит от вашего желания.</li>\r\n<li>Библиотека изображений позволит Вам хранить все Ваши GIF- и JPEG-файлы под рукой для лёгкого доступа.</li>\r\n<li>Менеджер рассылки новостей. Выбирайте из более чем 360 служб рассылки новостей по всему миру.</li>\r\n<li>Менеджер архива. Помещайте Ваши старые статьи в архив, чем просто удалять их.</li>\r\n<li>Возможность распечатать или отправить другу на e-mail любую статью с сайта.</li>\r\n<li>Выбор из 3 визуальных редакторов, что упрощает редактирование материалов до уровня редактирования текста в программе Word.</li>\r\n<li>Предварительный просмотр перед окончательным размещением.</li>\r\n<li>Возможность легкой смены дизайна.</li>\r\n<li>Экономное использование места на сервере за счет использование базы данных MYSQL.</li>\r\n<li>Возможность использования адресов страниц адаптированных для лучшей индексации всеми поисковыми системами.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<p align="justify"><br /> На сегодня можно найти <strong>более 1800</strong> модулей и компонентов, которые удовлетворят требования любого автора сайта. Система подходит как для небольшого, так и для крупного корпоративного сайта или информационного проекта.</p>\r\n<div align="justify"></div>\r\n<p align="justify">Таким образом, установив эту систему на свой веб-сайт, Вы получаете полный контроль над обновлением информации и развитием Вашего веб-сайта. И для этого совсем не нужно иметь никаких специальных знаний.</p>\r\n</span></span></p>', 1, 2, 0, 5, '2009-05-18 09:21:21', 62, '', '2009-05-18 13:40:39', 62, 0, '0000-00-00 00:00:00', '2009-05-18 09:21:21', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=Характеристики Joomla - тайтл свой пишем\nreadmore=', 0, 0, 2, 'sad, фыв, asd', '', 0, 0, 'robots=\nauthor='),
(11, 'Название Joomla!', 'nazvanie-joomla', '', 'Название Joomla! было выбрано в результате конкурса, результаты которого оценивали специалисты в области брендинга и маркетинга. Основой для названия послужило слово "Jumla", которое в переводе с суахили означает "все вместе" или "в целом", так как многие команды, участвовавшие в проекте Mambo, были единодушны в стремлении защитить интересы создателей и сообщества, которое и было истинной причиной успеха Mambo.', '', 1, 2, 0, 5, '2009-05-18 04:10:31', 62, '', '2009-05-18 13:40:24', 62, 0, '0000-00-00 00:00:00', '2009-05-18 04:10:31', '0000-00-00 00:00:00', '', '', 'show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=Название Джумла! -д-ж-у-м-л-а-\nreadmore=', 0, 0, 1, '12312, sdf, dsf, ыфвыф, фыв', '', 0, 0, 'robots=\nauthor=');

-- --------------------------------------------------------

--
-- Структура таблицы `#__content_frontpage`
--

CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__content_frontpage`
--

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(1, 2),
(2, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `#__content_rating`
--

CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL default '0',
  `rating_sum` int(11) unsigned NOT NULL default '0',
  `rating_count` int(11) unsigned NOT NULL default '0',
  `lastip` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__content_rating`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__core_acl_aro`
--

CREATE TABLE `#__core_acl_aro` (
  `id` int(11) NOT NULL auto_increment,
  `section_value` varchar(240) NOT NULL default '0',
  `value` varchar(240) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `#__section_value_value_aro` (`section_value`(100),`value`(100)),
  KEY `#__gacl_hidden_aro` (`hidden`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;


-- --------------------------------------------------------

--
-- Структура таблицы `#__core_acl_aro_groups`
--

CREATE TABLE `#__core_acl_aro_groups` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `lft` int(11) NOT NULL default '0',
  `rgt` int(11) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `#__gacl_parent_id_aro_groups` (`parent_id`),
  KEY `#__gacl_lft_rgt_aro_groups` (`lft`,`rgt`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

--
-- Дамп данных таблицы `#__core_acl_aro_groups`
--

INSERT INTO `#__core_acl_aro_groups` (`id`, `parent_id`, `name`, `lft`, `rgt`, `value`) VALUES
(17, 0, 'ROOT', 1, 22, 'ROOT'),
(28, 17, 'USERS', 2, 21, 'USERS'),
(29, 28, 'Public Frontend', 3, 12, 'Public Frontend'),
(18, 29, 'Registered', 4, 11, 'Registered'),
(19, 18, 'Author', 5, 10, 'Author'),
(20, 19, 'Editor', 6, 9, 'Editor'),
(21, 20, 'Publisher', 7, 8, 'Publisher'),
(30, 28, 'Public Backend', 13, 20, 'Public Backend'),
(23, 30, 'Manager', 14, 19, 'Manager'),
(24, 23, 'Administrator', 15, 18, 'Administrator'),
(25, 24, 'Super Administrator', 16, 17, 'Super Administrator');

-- --------------------------------------------------------

--
-- Структура таблицы `#__core_acl_aro_map`
--

CREATE TABLE `#__core_acl_aro_map` (
  `acl_id` int(11) NOT NULL default '0',
  `section_value` varchar(230) NOT NULL default '0',
  `value` varchar(100) NOT NULL,
  PRIMARY KEY  (`acl_id`,`section_value`,`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__core_acl_aro_map`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__core_acl_aro_sections`
--

CREATE TABLE `#__core_acl_aro_sections` (
  `id` int(11) NOT NULL auto_increment,
  `value` varchar(230) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(230) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `#__gacl_value_aro_sections` (`value`),
  KEY `#__gacl_hidden_aro_sections` (`hidden`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Дамп данных таблицы `#__core_acl_aro_sections`
--

INSERT INTO `#__core_acl_aro_sections` (`id`, `value`, `order_value`, `name`, `hidden`) VALUES
(10, 'users', 1, 'Users', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `#__core_acl_groups_aro_map`
--

CREATE TABLE `#__core_acl_groups_aro_map` (
  `group_id` int(11) NOT NULL default '0',
  `section_value` varchar(240) NOT NULL default '',
  `aro_id` int(11) NOT NULL default '0',
  UNIQUE KEY `group_id_aro_id_groups_aro_map` (`group_id`,`section_value`,`aro_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `#__core_log_items`
--

CREATE TABLE `#__core_log_items` (
  `time_stamp` date NOT NULL default '0000-00-00',
  `item_table` varchar(50) NOT NULL default '',
  `item_id` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__core_log_items`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__core_log_searches`
--

CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL default '',
  `hits` int(11) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__core_log_searches`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__groups`
--

CREATE TABLE `#__groups` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__groups`
--

INSERT INTO `#__groups` (`id`, `name`) VALUES
(0, 'Public'),
(1, 'Registered'),
(2, 'Special');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jce_extensions`
--

CREATE TABLE `#__jce_extensions` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `extension` varchar(255) NOT NULL,
  `folder` varchar(255) NOT NULL,
  `published` tinyint(3) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `#__jce_extensions`
--

INSERT INTO `#__jce_extensions` (`id`, `pid`, `name`, `extension`, `folder`, `published`) VALUES
(1, 54, 'Joomla Links for Advanced Link', 'joomlalinks', 'links', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `#__jce_groups`
--

CREATE TABLE `#__jce_groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `users` text NOT NULL,
  `types` varchar(255) NOT NULL,
  `components` text NOT NULL,
  `rows` text NOT NULL,
  `plugins` varchar(255) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `ordering` int(11) NOT NULL,
  `checked_out` tinyint(3) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `#__jce_groups`
--

INSERT INTO `#__jce_groups` (`id`, `name`, `description`, `users`, `types`, `components`, `rows`, `plugins`, `published`, `ordering`, `checked_out`, `checked_out_time`, `params`) VALUES
(1, 'Default', 'Default group for all users with edit access', '', '19,20,21,23,24,25', '', '6,7,8,9,10,11,12,13,14,15,16,17,18,19;20,21,22,23,24,25,26,27,28,30,31,32,33,36;37,38,39,40,41,42,43,44,45,46,47,48;49,50,51,52,53,54,55,57,58', '1,2,3,4,5,6,20,21,37,38,39,40,41,42,49,50,51,52,53,54,55,57,58', 1, 1, 0, '0000-00-00 00:00:00', ''),
(2, 'Front End', 'Sample Group for Authors, Editors, Publishers', '', '19,20,21', '', '6,7,8,9,10,13,14,15,16,17,18,19,27,28;20,21,25,26,30,31,32,36,43,44,45,47,48,50,51;24,33,39,40,42,46,49,52,53,54,55,57,58', '6,20,21,50,51,1,3,5,39,40,42,49,52,53,54,55,57,58', 0, 2, 0, '0000-00-00 00:00:00', '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jce_plugins`
--

CREATE TABLE `#__jce_plugins` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `icon` varchar(255) NOT NULL,
  `layout` varchar(255) NOT NULL,
  `row` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `editable` tinyint(3) NOT NULL,
  `elements` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `iscore` tinyint(3) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `plugin` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=59 ;

--
-- Дамп данных таблицы `#__jce_plugins`
--

INSERT INTO `#__jce_plugins` (`id`, `title`, `name`, `type`, `icon`, `layout`, `row`, `ordering`, `published`, `editable`, `elements`, `params`, `iscore`, `checked_out`, `checked_out_time`) VALUES
(1, 'Context Menu', 'contextmenu', 'plugin', '', '', 0, 0, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(2, 'File Browser', 'browser', 'plugin', '', '', 0, 0, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(3, 'Inline Popups', 'inlinepopups', 'plugin', '', '', 0, 0, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(4, 'Media Support', 'media', 'plugin', '', '', 0, 0, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(5, 'Safari Browser Support', 'safari', 'plugin', '', '', 0, 0, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(6, 'Help', 'help', 'plugin', 'help', 'help', 1, 1, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(7, 'New Document', 'newdocument', 'command', 'newdocument', 'newdocument', 1, 2, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(8, 'Bold', 'bold', 'command', 'bold', 'bold', 1, 3, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(9, 'Italic', 'italic', 'command', 'italic', 'italic', 1, 4, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(10, 'Underline', 'underline', 'command', 'underline', 'underline', 1, 5, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(11, 'Font Select', 'fontselect', 'command', 'fontselect', 'fontselect', 1, 6, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(12, 'Font Size Select', 'fontsizeselect', 'command', 'fontsizeselect', 'fontsizeselect', 1, 7, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(13, 'Style Select', 'styleselect', 'command', 'styleselect', 'styleselect', 1, 8, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(14, 'StrikeThrough', 'strikethrough', 'command', 'strikethrough', 'strikethrough', 1, 9, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(15, 'Justify Full', 'full', 'command', 'justifyfull', 'justifyfull', 1, 10, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(16, 'Justify Center', 'center', 'command', 'justifycenter', 'justifycenter', 1, 11, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(17, 'Justify Left', 'left', 'command', 'justifyleft', 'justifyleft', 1, 12, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(18, 'Justify Right', 'right', 'command', 'justifyright', 'justifyright', 1, 13, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(19, 'Format Select', 'formatselect', 'command', 'formatselect', 'formatselect', 1, 14, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(20, 'Paste', 'paste', 'plugin', 'pasteword,pastetext', 'paste', 2, 1, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(21, 'Search Replace', 'searchreplace', 'plugin', 'search,replace', 'searchreplace', 2, 2, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(22, 'Font ForeColour', 'forecolor', 'command', 'forecolor', 'forecolor', 2, 3, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(23, 'Font BackColour', 'backcolor', 'command', 'backcolor', 'backcolor', 2, 4, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(24, 'Unlink', 'unlink', 'command', 'unlink', 'unlink', 2, 5, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(25, 'Indent', 'indent', 'command', 'indent', 'indent', 2, 6, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(26, 'Outdent', 'outdent', 'command', 'outdent', 'outdent', 2, 7, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(27, 'Undo', 'undo', 'command', 'undo', 'undo', 2, 8, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(28, 'Redo', 'redo', 'command', 'redo', 'redo', 2, 9, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(29, 'HTML', 'html', 'command', 'code', 'code', 2, 10, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(30, 'Numbered List', 'numlist', 'command', 'numlist', 'numlist', 2, 11, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(31, 'Bullet List', 'bullist', 'command', 'bullist', 'bullist', 2, 12, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(32, 'Clipboard Actions', 'clipboard', 'command', 'cut,copy,paste', 'clipboard', 2, 13, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(33, 'Anchor', 'anchor', 'command', 'anchor', 'anchor', 2, 14, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(34, 'Image', 'image', 'command', 'image', 'image', 2, 15, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(35, 'Link', 'link', 'command', 'link', 'link', 2, 16, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(36, 'Code Cleanup', 'cleanup', 'command', 'cleanup', 'cleanup', 2, 17, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(37, 'Directionality', 'directionality', 'plugin', 'ltr,rtl', 'directionality', 3, 1, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(38, 'Emotions', 'emotions', 'plugin', 'emotions', 'emotions', 3, 2, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(39, 'Fullscreen', 'fullscreen', 'plugin', 'fullscreen', 'fullscreen', 3, 3, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(40, 'Preview', 'preview', 'plugin', 'preview', 'preview', 3, 4, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(41, 'Tables', 'table', 'plugin', 'tablecontrols', 'buttons', 3, 5, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(42, 'Print', 'print', 'plugin', 'print', 'print', 3, 6, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(43, 'Horizontal Rule', 'hr', 'command', 'hr', 'hr', 3, 7, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(44, 'Subscript', 'sub', 'command', 'sub', 'sub', 3, 8, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(45, 'Superscript', 'sup', 'command', 'sup', 'sup', 3, 9, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(46, 'Visual Aid', 'visualaid', 'command', 'visualaid', 'visualaid', 3, 10, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(47, 'Character Map', 'charmap', 'command', 'charmap', 'charmap', 3, 11, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(48, 'Remove Format', 'removeformat', 'command', 'removeformat', 'removeformat', 3, 12, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(49, 'Styles', 'style', 'plugin', 'styleprops', 'style', 4, 1, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(50, 'Non-Breaking', 'nonbreaking', 'plugin', 'nonbreaking', 'nonbreaking', 4, 2, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(51, 'Visual Characters', 'visualchars', 'plugin', 'visualchars', 'visualchars', 4, 3, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(52, 'XHTML Xtras', 'xhtmlxtras', 'plugin', 'cite,abbr,acronym,del,ins,attribs', 'xhtmlxtras', 4, 4, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(53, 'Image Manager', 'imgmanager', 'plugin', 'imgmanager', 'imgmanager', 4, 5, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(54, 'Advanced Link', 'advlink', 'plugin', 'advlink', 'advlink', 4, 6, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(55, 'Spell Checker', 'spellchecker', 'plugin', 'spellchecker', 'spellchecker', 4, 7, 1, 1, '', '', 1, 0, '0000-00-00 00:00:00'),
(56, 'Layers', 'layer', 'plugin', 'insertlayer,moveforward,movebackward,absolute', 'layer', 4, 8, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(57, 'Advanced Code Editor', 'advcode', 'plugin', 'advcode', 'advcode', 4, 9, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00'),
(58, 'Article Breaks', 'article', 'plugin', 'readmore,pagebreak', 'article', 4, 10, 1, 0, '', '', 1, 0, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jcomments`
--

CREATE TABLE `#__jcomments` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent` int(11) unsigned NOT NULL default '0',
  `object_id` int(11) unsigned NOT NULL default '0',
  `object_group` varchar(255) NOT NULL default '',
  `object_params` text NOT NULL,
  `lang` varchar(255) NOT NULL default '',
  `userid` int(11) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `username` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `homepage` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `comment` text NOT NULL,
  `ip` varchar(15) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `isgood` smallint(5) unsigned NOT NULL default '0',
  `ispoor` smallint(5) unsigned NOT NULL default '0',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `subscribe` tinyint(1) unsigned NOT NULL default '0',
  `source` varchar(255) NOT NULL default '',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `idx_userid` (`userid`),
  KEY `idx_source` (`source`),
  KEY `idx_email` (`email`),
  KEY `idx_lang` (`lang`),
  KEY `idx_subscribe` (`subscribe`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_object` (`object_id`,`object_group`,`published`,`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `#__jcomments`
--

INSERT INTO `#__jcomments` (`id`, `parent`, `object_id`, `object_group`, `object_params`, `lang`, `userid`, `name`, `username`, `email`, `homepage`, `title`, `comment`, `ip`, `date`, `isgood`, `ispoor`, `published`, `subscribe`, `source`, `checked_out`, `checked_out_time`, `editor`) VALUES
(1, 0, 5, 'com_content', '', 'ru-RU', 0, 'User', 'User', '', '', '', 'Проверка комментариев :-* :-* :-*', '127.0.0.1', '2009-05-19 01:02:14', 0, 0, 1, 0, '', 0, '0000-00-00 00:00:00', ''),
(2, 0, 3, 'com_content', '', 'ru-RU', 0, 'User', 'User', '', '', '', 'Теперь я знаю откуда взялось название движка: Joomla!!! :P', '127.0.0.1', '2009-05-19 01:03:30', 0, 0, 1, 0, '', 0, '0000-00-00 00:00:00', '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jcomments_settings`
--

CREATE TABLE `#__jcomments_settings` (
  `component` varchar(50) NOT NULL default '',
  `lang` varchar(20) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`component`,`lang`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__jcomments_settings`
--

INSERT INTO `#__jcomments_settings` (`component`, `lang`, `name`, `value`) VALUES
('', '', 'enable_username_check', '1'),
('', '', 'username_maxlength', '20'),
('', '', 'forbidden_names', 'administrator,moderator'),
('', '', 'author_email', '0'),
('', '', 'author_homepage', '0'),
('', '', 'comment_maxlength', '1000'),
('', '', 'word_maxlength', '15'),
('', '', 'link_maxlength', '30'),
('', '', 'flood_time', '30'),
('', '', 'enable_notification', '0'),
('', '', 'notification_email', ''),
('', '', 'template', 'default'),
('', '', 'enable_smiles', '1'),
('', '', 'comments_per_page', '10'),
('', '', 'comments_page_limit', '15'),
('', '', 'comments_pagination', 'both'),
('', '', 'comments_order', 'DESC'),
('', '', 'show_commentlength', '1'),
('', '', 'enable_nested_quotes', '1'),
('', '', 'enable_rss', '1'),
('', '', 'censor_replace_word', '[censored]'),
('', '', 'can_comment', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'can_reply', 'Unregistered,Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'show_policy', 'Unregistered,Registered'),
('', '', 'enable_captcha', 'Unregistered'),
('', '', 'floodprotection', 'Unregistered,Registered,Author,Editor'),
('', '', 'enable_comment_length_check', 'Unregistered,Registered'),
('', '', 'autopublish', 'Unregistered,Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'autolinkurls', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_subscribe', 'Unregistered,Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_gravatar', 'Unregistered'),
('', '', 'can_view_homepage', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'can_publish', 'Publisher,Manager,Administrator,Super Administrator'),
('', '', 'can_view_email', 'Manager,Administrator,Super Administrator'),
('', '', 'can_edit', 'Manager,Administrator,Super Administrator'),
('', '', 'can_edit_own', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'can_delete', 'Manager,Administrator,Super Administrator'),
('', '', 'can_delete_own', 'Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_b', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_i', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_u', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_s', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_url', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_img', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_list', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'enable_bbcode_hide', 'Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'can_view_ip', 'Administrator,Super Administrator'),
('', '', 'enable_categories', '2'),
('', '', 'emailprotection', 'Unregistered'),
('', '', 'enable_comment_maxlength_check', ''),
('', '', 'enable_autocensor', 'Unregistered'),
('', '', 'badwords', ''),
('', '', 'smiles', ':D	laugh.gif\n:lol:	lol.gif\n:-)	smile.gif\n;-)	wink.gif\n8)	cool.gif\n:-|	normal.gif\n:-*	whistling.gif\n:oops:	redface.gif\n:sad:	sad.gif\n:cry:	cry.gif\n:o	surprised.gif\n:-?	confused.gif\n:-x	sick.gif\n:eek:	shocked.gif\n:zzz	sleeping.gif\n:P	tongue.gif\n:roll:	rolleyes.gif\n:sigh:	unsure.gif'),
('', '', 'enable_mambots', '1'),
('', '', 'form_show', '1'),
('', '', 'display_author', 'name'),
('', '', 'enable_voting', '1'),
('', '', 'can_vote', 'Unregistered,Registered,Author,Editor,Publisher,Manager,Administrator,Super Administrator'),
('', '', 'merge_time', '30'),
('', '', 'gzip_js', '0'),
('', '', 'template_view', 'list'),
('', '', 'message_policy_post', ''),
('', '', 'message_policy_whocancomment', ''),
('', '', 'message_locked', 'This content has been locked. You can no longer post any comment.');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jcomments_subscriptions`
--

CREATE TABLE `#__jcomments_subscriptions` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `object_id` int(11) unsigned NOT NULL default '0',
  `object_group` varchar(255) NOT NULL default '',
  `lang` varchar(255) NOT NULL default '',
  `userid` int(11) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `hash` varchar(255) NOT NULL default '',
  `published` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_object` (`object_id`,`object_group`),
  KEY `idx_lang` (`lang`),
  KEY `idx_hash` (`hash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__jcomments_subscriptions`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__jcomments_version`
--

CREATE TABLE `#__jcomments_version` (
  `version` varchar(16) NOT NULL default '',
  `previous` varchar(16) NOT NULL default '',
  `installed` datetime NOT NULL default '0000-00-00 00:00:00',
  `updated` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__jcomments_version`
--

INSERT INTO `#__jcomments_version` (`version`, `previous`, `installed`, `updated`) VALUES
('2.0.0.15', '', '2009-05-19 00:59:09', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Структура таблицы `#__jcomments_votes`
--

CREATE TABLE `#__jcomments_votes` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `commentid` int(11) unsigned NOT NULL default '0',
  `userid` int(11) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `value` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_comment` (`commentid`,`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__jcomments_votes`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__menu`
--

CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL auto_increment,
  `menutype` varchar(75) default NULL,
  `name` varchar(255) default NULL,
  `alias` varchar(255) NOT NULL default '',
  `link` text,
  `type` varchar(50) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `componentid` int(11) unsigned NOT NULL default '0',
  `sublevel` int(11) default '0',
  `ordering` int(11) default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `pollid` int(11) NOT NULL default '0',
  `browserNav` tinyint(4) default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `utaccess` tinyint(3) unsigned NOT NULL default '0',
  `params` text NOT NULL,
  `lft` int(11) unsigned NOT NULL default '0',
  `rgt` int(11) unsigned NOT NULL default '0',
  `home` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `componentid` (`componentid`,`menutype`,`published`,`access`),
  KEY `menutype` (`menutype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `#__menu`
--

INSERT INTO `#__menu` (`id`, `menutype`, `name`, `alias`, `link`, `type`, `published`, `parent`, `componentid`, `sublevel`, `ordering`, `checked_out`, `checked_out_time`, `pollid`, `browserNav`, `access`, `utaccess`, `params`, `lft`, `rgt`, `home`) VALUES
(5, 'mainmenu', 'Новости', 'news', 'index.php?option=com_content&view=category&layout=blog&id=2', 'component', 1, 0, 20, 0, 1, 62, '2009-05-25 14:09:13', 0, 0, 0, 0, 'show_description=0\nshow_description_image=0\nnum_leading_articles=0\nnum_intro_articles=4\nnum_columns=2\nnum_links=4\norderby_pri=\norderby_sec=\nmulti_column_order=0\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n', 0, 0, 1),
(7, 'mainmenu', '321', '321', 'index.php?option=com_content&view=category&layout=blog&id=5', 'component', 1, 0, 20, 0, 2, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'show_description=0\nshow_description_image=0\nnum_leading_articles=0\nnum_intro_articles=1\nnum_columns=1\nnum_links=0\norderby_pri=\norderby_sec=\nmulti_column_order=0\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n', 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `#__menu_types`
--

CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `menutype` varchar(75) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `menutype` (`menutype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `#__menu_types`
--

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(1, 'mainmenu', 'Main Menu', 'The main menu for the site');

-- --------------------------------------------------------

--
-- Структура таблицы `#__messages`
--

CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `user_id_from` int(10) unsigned NOT NULL default '0',
  `user_id_to` int(10) unsigned NOT NULL default '0',
  `folder_id` int(10) unsigned NOT NULL default '0',
  `date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` int(11) NOT NULL default '0',
  `priority` int(1) unsigned NOT NULL default '0',
  `subject` text NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__messages`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__messages_cfg`
--

CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `cfg_name` varchar(100) NOT NULL default '',
  `cfg_value` varchar(255) NOT NULL default '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__messages_cfg`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__migration_backlinks`
--

CREATE TABLE `#__migration_backlinks` (
  `itemid` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `url` text NOT NULL,
  `sefurl` text NOT NULL,
  `newurl` text NOT NULL,
  PRIMARY KEY  (`itemid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__migration_backlinks`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__modules`
--

CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL auto_increment,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL default '0',
  `position` varchar(50) default NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `module` varchar(50) default NULL,
  `numnews` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `showtitle` tinyint(3) unsigned NOT NULL default '1',
  `params` text NOT NULL,
  `iscore` tinyint(4) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  `control` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=41 ;

--
-- Дамп данных таблицы `#__modules`
--

INSERT INTO `#__modules` (`id`, `title`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `published`, `module`, `numnews`, `access`, `showtitle`, `params`, `iscore`, `client_id`, `control`) VALUES
(1, 'Main Menu', '', 0, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_mainmenu', 0, 0, 1, 'menutype=mainmenu\nmoduleclass_sfx=_menu\n', 1, 0, ''),
(2, 'Login', '', 1, 'login', 0, '0000-00-00 00:00:00', 1, 'mod_login', 0, 0, 1, '', 1, 1, ''),
(3, 'Popular', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', 1, 'mod_popular', 0, 2, 1, '', 0, 1, ''),
(4, 'Recent added Articles', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', 1, 'mod_latest', 0, 2, 1, 'ordering=c_dsc\nuser_id=0\ncache=0\n\n', 0, 1, ''),
(5, 'Menu Stats', '', 5, 'cpanel', 0, '0000-00-00 00:00:00', 1, 'mod_stats', 0, 2, 1, '', 0, 1, ''),
(6, 'Unread Messages', '', 1, 'header', 0, '0000-00-00 00:00:00', 1, 'mod_unread', 0, 2, 1, '', 1, 1, ''),
(7, 'Online Users', '', 2, 'header', 0, '0000-00-00 00:00:00', 1, 'mod_online', 0, 2, 1, '', 1, 1, ''),
(8, 'Toolbar', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', 1, 'mod_toolbar', 0, 2, 1, '', 1, 1, ''),
(9, 'Quick Icons', '', 1, 'icon', 0, '0000-00-00 00:00:00', 1, 'mod_quickicon', 0, 2, 1, '', 1, 1, ''),
(10, 'Logged in Users', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', 1, 'mod_logged', 0, 2, 1, '', 0, 1, ''),
(11, 'Footer', '', 0, 'footer', 0, '0000-00-00 00:00:00', 1, 'mod_footer', 0, 0, 1, '', 1, 1, ''),
(12, 'Admin Menu', '', 1, 'menu', 0, '0000-00-00 00:00:00', 1, 'mod_menu', 0, 2, 1, '', 0, 1, ''),
(13, 'Admin SubMenu', '', 1, 'submenu', 0, '0000-00-00 00:00:00', 1, 'mod_submenu', 0, 2, 1, '', 0, 1, ''),
(14, 'User Status', '', 1, 'status', 0, '0000-00-00 00:00:00', 1, 'mod_status', 0, 2, 1, '', 0, 1, ''),
(15, 'Title', '', 1, 'title', 0, '0000-00-00 00:00:00', 1, 'mod_title', 0, 2, 1, '', 0, 1, ''),
(19, 'Missing Metadata Items', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', 1, 'mod_missingmeta', 0, 2, 1, '', 0, 1, ''),
(20, 'ND Editor Switcher', '', 2, 'status', 0, '0000-00-00 00:00:00', 1, 'mod_ndeditorswitch_switcher', 0, 2, 0, '', 0, 1, ''),
(24, 'PHP Module', '', 1, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_php', 0, 0, 1, 'moduleclass_sfx=\ncache=0\nphp=Это модуль PHP.\neval_php=1\ndiscovery=1\n\n', 0, 0, ''),
(25, 'Увидели опечатку?', '', 0, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_php', 0, 0, 1, 'moduleclass_sfx=\ncache=0\nphp=Выделите текст и нажмите Shift+Enter.\\n<br> И мы в ближайшее время ее исправим!\neval_php=1\ndiscovery=1\n\n', 0, 0, ''),
(31, 'Последние комментарии', '', 2, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_jcomments', 0, 0, 1, 'type=1\nmambots=0\nsectionid=2\nexclude_sectionid=\ncatid=2\nexclude_catid=\nobject_group=com_content\ncount=5\nlength=50\nshowcomments=0\navatar=0\navatar_size=32\nshowsmiles=0\nshow_date=0\nshow_author=0\nshow_object_title=0\nlimit_object_title=30\nshow_comment_text=0\nlabel4more=More...\nlabel4author=By\ndateformat=%d.%m.%y %H:%M\nshow_full_rss=0\nlabel4rss=RSS\ncache=1\ncache_time=900\nmoduleclass_sfx=\n\n', 0, 0, ''),
(35, 'Поиск', '', 4, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_search', 0, 0, 1, 'moduleclass_sfx=\nwidth=20\ntext=\nbutton=\nbutton_pos=right\nimagebutton=\nbutton_text=\ncache=1\ncache_time=900\n\n', 0, 0, ''),
(37, 'Последние комментарии', '', 5, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_jcomments', 0, 0, 1, 'type=1\nmambots=1\nsectionid=0\nexclude_sectionid=\ncatid=0\nexclude_catid=\nobject_group=com_content\ncount=5\nlength=50\nshowcomments=0\navatar=1\navatar_size=32\nshowsmiles=0\nshow_date=0\nshow_author=0\nshow_object_title=0\nlimit_object_title=30\nshow_comment_text=0\nlabel4more=More...\nlabel4author=By\ndateformat=%d.%m.%y %H:%M\nshow_full_rss=0\nlabel4rss=RSS\ncache=1\ncache_time=900\nmoduleclass_sfx=\n\n', 0, 0, ''),
(38, 'Войти', '', 6, 'left', 0, '0000-00-00 00:00:00', 1, 'mod_login', 0, 0, 1, 'cache=0\nmoduleclass_sfx=\npretext=\nposttext=\nlogin=\nlogout=\ngreeting=1\nname=0\nusesecure=0\n\n', 0, 0, ''),
(40, 'Comment', '', 7, 'left', 0, '0000-00-00 00:00:00', 0, 'mod_comments', 0, 0, 1, 'mode=link\nform_layout=form\nedit_author=1\nlist_layout=list\ncount=10\nshow_pagination=1\nlink_layout=link_readon\n', 0, 0, '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__modules_menu`
--

CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__modules_menu`
--

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 0),
(24, 0),
(25, 0),
(31, 0),
(35, 0),
(37, 0),
(38, 0),
(40, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `#__newsfeeds`
--

CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `alias` varchar(255) NOT NULL default '',
  `link` text NOT NULL,
  `filename` varchar(200) default NULL,
  `published` tinyint(1) NOT NULL default '0',
  `numarticles` int(11) unsigned NOT NULL default '1',
  `cache_time` int(11) unsigned NOT NULL default '3600',
  `checked_out` tinyint(3) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `rtl` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `published` (`published`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__newsfeeds`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__plugins`
--

CREATE TABLE `#__plugins` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `element` varchar(100) NOT NULL default '',
  `folder` varchar(100) NOT NULL default '',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `published` tinyint(3) NOT NULL default '0',
  `iscore` tinyint(3) NOT NULL default '0',
  `client_id` tinyint(3) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_folder` (`published`,`client_id`,`access`,`folder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=95 ;

--
-- Дамп данных таблицы `#__plugins`
--

INSERT INTO `#__plugins` (`id`, `name`, `element`, `folder`, `access`, `ordering`, `published`, `iscore`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES
(1, 'Authentication - Joomla', 'joomla', 'authentication', 0, 1, 1, 1, 0, 0, '0000-00-00 00:00:00', ''),
(2, 'Authentication - LDAP', 'ldap', 'authentication', 0, 2, 0, 1, 0, 0, '0000-00-00 00:00:00', 'host=\nport=389\nuse_ldapV3=0\nnegotiate_tls=0\nno_referrals=0\nauth_method=bind\nbase_dn=\nsearch_string=\nusers_dn=\nusername=\npassword=\nldap_fullname=fullName\nldap_email=mail\nldap_uid=uid\n\n'),
(3, 'Authentication - GMail', 'gmail', 'authentication', 0, 4, 0, 0, 0, 0, '0000-00-00 00:00:00', ''),
(4, 'Authentication - OpenID', 'openid', 'authentication', 0, 3, 0, 0, 0, 0, '0000-00-00 00:00:00', ''),
(5, 'User - Joomla!', 'joomla', 'user', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'autoregister=1\n\n'),
(6, 'Search - Content', 'content', 'search', 0, 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\nsearch_content=1\nsearch_uncategorised=1\nsearch_archived=1\n\n'),
(7, 'Search - Contacts', 'contacts', 'search', 0, 3, 1, 1, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(8, 'Search - Categories', 'categories', 'search', 0, 4, 1, 0, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(9, 'Search - Sections', 'sections', 'search', 0, 5, 1, 0, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(10, 'Search - Newsfeeds', 'newsfeeds', 'search', 0, 6, 1, 0, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(11, 'Search - Weblinks', 'weblinks', 'search', 0, 2, 1, 1, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(12, 'Content - Pagebreak', 'pagebreak', 'content', 0, 10000, 1, 1, 0, 0, '0000-00-00 00:00:00', 'enabled=1\ntitle=1\nmultipage_toc=1\nshowall=1\n\n'),
(13, 'Content - Rating', 'vote', 'content', 0, 4, 1, 1, 0, 0, '0000-00-00 00:00:00', ''),
(14, 'Content - Email Cloaking', 'emailcloak', 'content', 0, 5, 1, 0, 0, 0, '0000-00-00 00:00:00', 'mode=1\n\n'),
(15, 'Content - Code Hightlighter (GeSHi)', 'geshi', 'content', 0, 5, 0, 0, 0, 0, '0000-00-00 00:00:00', ''),
(16, 'Content - Load Module', 'loadmodule', 'content', 0, 6, 1, 0, 0, 0, '0000-00-00 00:00:00', 'enabled=1\nstyle=0\n\n'),
(17, 'Content - Page Navigation', 'pagenavigation', 'content', 0, 2, 0, 1, 0, 0, '0000-00-00 00:00:00', 'position=1\n\n'),
(18, 'Editor - No Editor', 'none', 'editors', 0, 0, 1, 1, 0, 0, '0000-00-00 00:00:00', ''),
(19, 'Editor - TinyMCE 2.0', 'tinymce', 'editors', 0, 0, 1, 1, 0, 0, '0000-00-00 00:00:00', 'mode=extended\nskin=0\ncompressed=0\ncleanup_startup=0\ncleanup_save=2\nentity_encoding=raw\nlang_mode=1\nlang_code=en\ntext_direction=ltr\ncontent_css=1\ncontent_css_custom=\nrelative_urls=1\nnewlines=0\ninvalid_elements=applet\nextended_elements=\ntoolbar=top\ntoolbar_align=left\nhtml_height=550\nhtml_width=750\nelement_path=1\nfonts=1\npaste=1\nsearchreplace=1\ninsertdate=1\nformat_date=%Y-%m-%d\ninserttime=1\nformat_time=%H:%M:%S\ncolors=1\ntable=1\nsmilies=1\nmedia=1\nhr=1\ndirectionality=1\nfullscreen=1\nstyle=1\nlayer=1\nxhtmlxtras=0\nvisualchars=1\nnonbreaking=1\ntemplate=0\ntinybrowser=1\nadvimage=1\nadvlink=1\nautosave=0\ncontextmenu=1\ninlinepopups=1\nsafari=0\ncustom_plugin=\ncustom_button=\n\n'),
(20, 'Editor - XStandard Lite 2.0', 'xstandard', 'editors', 0, 0, 0, 1, 0, 0, '0000-00-00 00:00:00', ''),
(21, 'Editor Button - Image', 'image', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(22, 'Editor Button - Pagebreak', 'pagebreak', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(23, 'Editor Button - Readmore', 'readmore', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(24, 'XML-RPC - Joomla', 'joomla', 'xmlrpc', 0, 7, 0, 1, 0, 0, '0000-00-00 00:00:00', ''),
(25, 'XML-RPC - Blogger API', 'blogger', 'xmlrpc', 0, 7, 0, 1, 0, 0, '0000-00-00 00:00:00', 'catid=1\nsectionid=0\n\n'),
(27, 'System - SEF', 'sef', 'system', 0, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(28, 'System - Debug', 'debug', 'system', 0, 2, 1, 0, 0, 0, '0000-00-00 00:00:00', 'queries=1\nmemory=1\nlangauge=1\n\n'),
(29, 'System - Legacy', 'legacy', 'system', 0, 3, 0, 1, 0, 0, '0000-00-00 00:00:00', 'route=0\n\n'),
(30, 'System - Cache', 'cache', 'system', 0, 4, 0, 1, 0, 0, '0000-00-00 00:00:00', 'browsercache=0\ncachetime=15\n\n'),
(31, 'System - Log', 'log', 'system', 0, 5, 0, 1, 0, 0, '0000-00-00 00:00:00', ''),
(32, 'System - Remember Me', 'remember', 'system', 0, 6, 1, 1, 0, 0, '0000-00-00 00:00:00', ''),
(33, 'System - Backlink', 'backlink', 'system', 0, 7, 0, 1, 0, 0, '0000-00-00 00:00:00', ''),
(34, 'System - Tag Meta', 'tagmeta', 'system', 0, 0, 1, 0, 0, 62, '2009-07-23 13:03:11', 'customgenerator=SeoPro Q4\nreplacegenerator=1\naddsitename=2\nseparator=\\b-\\b\ncleandefaultpage=0\nmetatitle=1\n\n'),
(35, 'Content - Custom Page Title', 'pagetitle', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(36, 'yvtransliterate', 'yvtransliterate', 'system', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'extend_table_content=1\nextend_jlanguage=1\ndebug=0\ndebug_string=\ndebug_lang_tag=ru-RU\ndebug_transliteration_method=\n\n'),
(37, 'yvTransliterateLanguagePack_ru-RU', 'yvTransliterateLanguagePack_ru-RU', 'system', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(38, 'Content - Attachments', 'attachments', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(39, 'Editor Button - AddAttachment', 'add_attachment', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(40, 'Search - Attachments', 'attachments', 'search', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'search_limit=50\n\n'),
(92, 'Proofreader systembot', 'proofreader.systembot', 'system', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(72, 'HP Router', 'hprouter', 'system', 0, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', ''),
(87, 'Search - JComments', 'jcomments.search', 'search', 0, 7, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(86, 'Content - JComments', 'jcomments.content', 'content', 0, 10001, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(43, 'LazyBackup 2', 'lazybackup', 'system', 0, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 'compress=1\ndrop_tables=1\ncreate_tables=1\nstruct_only=0\nlocks=0\ncomments=1\nxdays=1\nbackuptime=00:00\nbackupfreq=1\nrecipient=\nsubject=Database backup\nbody=Your database is attached in this mail. Lazy Backup and it''s updates can be fetched from www.lazybackup.net for free.\nbackuppath=admin\nencrypt=0\npassword=admin\nname_format=0\ntest=0\n\n'),
(50, 'Content - SearchTag', 'SearchTag', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'searchphrase=all\nalign=left\ncssStyle=\n\n'),
(61, 'Content - Search Engine Keyword Highlight', 'sekh', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'Search_Engine_Keywords_Highlight_Area=\n\n'),
(54, 'Content - PageNav', 'PageNav', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'position=1\n\n'),
(55, 'Content - Hider', 'hider', 'content', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(60, 'Readmore 2', 'readmore2', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'indirizzo=index.php?option=com_user&task=register\ntesto=Скрытый текст: Только для зарегистрированных пользователей\n\n'),
(59, 'Readmore 3', 'readmore3', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(62, 'Editor - JCE 1.5.2', 'jce', 'editors', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 'editor_custom_config=\neditor_callback_file=\n\n'),
(63, 'User - Reactivate', 'reactivate', 'user', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', 're_days=7\ndelete_days=14\n\n'),
(64, 'System - jSecure Authentication', 'jsecure', 'system', 0, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 'key=password\noptions=1\ncustom_path=plugins/system/404.html\n\n'),
(76, 'Content - meta_NoFollow', 'meta_nofollow', 'content', 0, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 'sections=\ncategories=2\narticles=\n\n'),
(89, 'Editor Button - JComments ON', 'jcommentson', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(90, 'Editor Button - JComments OFF', 'jcommentsoff', 'editors-xtd', 0, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', ''),
(88, 'System - JComments', 'jcomments.system', 'system', 0, 8, 1, 0, 0, 0, '0000-00-00 00:00:00', '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__polls`
--

CREATE TABLE `#__polls` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `voters` int(9) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `access` int(11) NOT NULL default '0',
  `lag` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__polls`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__poll_data`
--

CREATE TABLE `#__poll_data` (
  `id` int(11) NOT NULL auto_increment,
  `pollid` int(11) NOT NULL default '0',
  `text` text NOT NULL,
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pollid` (`pollid`,`text`(1))
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__poll_data`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__poll_date`
--

CREATE TABLE `#__poll_date` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `vote_id` int(11) NOT NULL default '0',
  `poll_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__poll_date`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__poll_menu`
--

CREATE TABLE `#__poll_menu` (
  `pollid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pollid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__poll_menu`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__proofreader`
--

CREATE TABLE `#__proofreader` (
  `pr_id` int(11) NOT NULL auto_increment,
  `pr_author` varchar(25) NOT NULL default '',
  `pr_mistake` text NOT NULL,
  `pr_variant` text NOT NULL,
  `pr_comment` text NOT NULL,
  `pr_context` text NOT NULL,
  `pr_url` varchar(255) NOT NULL default '',
  `pr_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `pr_close` enum('y','n') NOT NULL default 'n',
  `pr_ip` varchar(23) NOT NULL default '',
  PRIMARY KEY  (`pr_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__proofreader`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__proofreader_conf`
--

CREATE TABLE `#__proofreader_conf` (
  `param_id` int(11) NOT NULL default '0',
  `param_name` varchar(25) NOT NULL default '',
  `param_value` text NOT NULL,
  PRIMARY KEY  (`param_name`),
  UNIQUE KEY `param_id` (`param_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__proofreader_conf`
--

INSERT INTO `#__proofreader_conf` (`param_id`, `param_name`, `param_value`) VALUES
(1, 'Only registered', 'Only registered users can send messages.'),
(2, 'Thanks user message', 'Thank you. Administrator verify this message.'),
(3, 'Offline message', 'Proofreader disabled.');

-- --------------------------------------------------------

--
-- Структура таблицы `#__sections`
--

CREATE TABLE `#__sections` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `image` text NOT NULL,
  `scope` varchar(50) NOT NULL default '',
  `image_position` varchar(30) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_scope` (`scope`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `#__sections`
--

INSERT INTO `#__sections` (`id`, `title`, `name`, `alias`, `image`, `scope`, `image_position`, `description`, `published`, `checked_out`, `checked_out_time`, `ordering`, `access`, `count`, `params`) VALUES
(2, 'SeoPro Q4', '', 'novosti', '', 'content', 'left', '', 1, 0, '0000-00-00 00:00:00', 2, 0, 6, '');

-- --------------------------------------------------------

--
-- Структура таблицы `#__session`
--

CREATE TABLE `#__session` (
  `username` varchar(150) default '',
  `time` varchar(14) default '',
  `session_id` varchar(200) NOT NULL default '0',
  `guest` tinyint(4) default '1',
  `userid` int(11) default '0',
  `usertype` varchar(50) default '',
  `gid` tinyint(3) unsigned NOT NULL default '0',
  `client_id` tinyint(3) unsigned NOT NULL default '0',
  `data` longtext,
  PRIMARY KEY  (`session_id`(64)),
  KEY `whosonline` (`guest`,`usertype`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--

-- --------------------------------------------------------

--
-- Структура таблицы `#__stats_agents`
--

CREATE TABLE `#__stats_agents` (
  `agent` varchar(255) NOT NULL default '',
  `type` tinyint(1) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__stats_agents`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__templates_menu`
--

CREATE TABLE `#__templates_menu` (
  `template` varchar(255) NOT NULL default '',
  `menuid` int(11) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`menuid`,`client_id`,`template`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__templates_menu`
--

INSERT INTO `#__templates_menu` (`template`, `menuid`, `client_id`) VALUES
('ja_purity', 0, 0),
('khepri', 0, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `#__users`
--

CREATE TABLE `#__users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `username` varchar(150) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `password` varchar(100) NOT NULL default '',
  `usertype` varchar(25) NOT NULL default '',
  `block` tinyint(4) NOT NULL default '0',
  `sendEmail` tinyint(4) default '0',
  `gid` tinyint(3) unsigned NOT NULL default '1',
  `registerDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL default '',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `usertype` (`usertype`),
  KEY `idx_name` (`name`),
  KEY `gid_block` (`gid`,`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=63 ;

--

-- --------------------------------------------------------

--
-- Структура таблицы `#__weblinks`
--

CREATE TABLE `#__weblinks` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `url` varchar(250) NOT NULL default '',
  `description` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL default '0',
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `archived` tinyint(1) NOT NULL default '0',
  `approved` tinyint(1) NOT NULL default '1',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`,`published`,`archived`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `#__weblinks`
--


-- --------------------------------------------------------

--
-- Структура таблицы `#__xmap`
--

CREATE TABLE `#__xmap` (
  `name` varchar(30) NOT NULL,
  `value` varchar(100) default NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `#__xmap`
--

INSERT INTO `#__xmap` (`name`, `value`) VALUES
('version', '1.1'),
('classname', 'sitemap'),
('expand_category', '1'),
('expand_section', '1'),
('show_menutitle', '1'),
('columns', '1'),
('exlinks', '1'),
('ext_image', 'img_grey.gif'),
('exclmenus', ''),
('includelink', '1'),
('sitemap_default', '1'),
('exclude_css', '0'),
('exclude_xsl', '0');

-- --------------------------------------------------------

--
-- Структура таблицы `#__xmap_ext`
--

CREATE TABLE `#__xmap_ext` (
  `id` int(11) NOT NULL auto_increment,
  `extension` varchar(100) NOT NULL,
  `published` int(1) default '0',
  `params` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `#__xmap_ext`
--

INSERT INTO `#__xmap_ext` (`id`, `extension`, `published`, `params`) VALUES
(1, 'com_content', 1, '-1{expand_categories=1\nexpand_sections=1\nshow_unauth=0\nmax_art=0\nmax_art_age=0\ncat_priority=-1\ncat_changefreq=-1\nart_priority=-1\nart_changefreq=-1\n}');

-- --------------------------------------------------------

--
-- Структура таблицы `#__xmap_sitemap`
--

CREATE TABLE `#__xmap_sitemap` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `expand_category` int(11) default NULL,
  `expand_section` int(11) default NULL,
  `show_menutitle` int(11) default NULL,
  `columns` int(11) default NULL,
  `exlinks` int(11) default NULL,
  `ext_image` varchar(255) default NULL,
  `menus` text,
  `exclmenus` varchar(255) default NULL,
  `includelink` int(11) default NULL,
  `usecache` int(11) default NULL,
  `cachelifetime` int(11) default NULL,
  `classname` varchar(255) default NULL,
  `count_xml` int(11) default NULL,
  `count_html` int(11) default NULL,
  `views_xml` int(11) default NULL,
  `views_html` int(11) default NULL,
  `lastvisit_xml` int(11) default NULL,
  `lastvisit_html` int(11) default NULL,
  `excluded_items` varchar(255) default NULL,
  `compress_xml` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `#__xmap_sitemap`
--

INSERT INTO `#__xmap_sitemap` (`id`, `name`, `expand_category`, `expand_section`, `show_menutitle`, `columns`, `exlinks`, `ext_image`, `menus`, `exclmenus`, `includelink`, `usecache`, `cachelifetime`, `classname`, `count_xml`, `count_html`, `views_xml`, `views_html`, `lastvisit_xml`, `lastvisit_html`, `excluded_items`, `compress_xml`) VALUES
(1, '_XMAP_NAME_NEW_SITEMAP', 1, 1, 1, 1, 1, 'img_grey.gif', 'mainmenu,0,1,1,0.5,daily', '', 1, 0, 15, 'xmap', 8, 8, 4, 13, 1248352862, 1248352935, '', 0);
