<?php
/**
* @version		$Id: helper.php 9764 2007-12-30 07:48:11Z ircmaxell $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modCommentsHelper
{
	/**
	 * Get list of comments
	 * 
	 * @static
	 * @return array Medias list
	 * @param JParameter $params Module parameters\
	 */
	function &getList($cotid, &$params){
		global $option, $mainframe ;
		$db =& JFactory::getDBO();
		
		// Get the pagination request variables
		$limitstart = JRequest::getInt('limitstart', 0);	
		$limit = $params->get('count');
		
		// In case limit has been changed, adjust limitstart accordingly
		$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);
		
		// Switch Mode / Order by
		$order = 'newer';
		switch($order){
			default:
			case 'newer':
				$orderby = ' ORDER BY added DESC ';
				break;					
		}

		// Build Query
		$query = ' SELECT a.id AS id, a.ip AS ip, a.cotid AS cotid, a.userid AS userid, '
				. ' a.section AS section, a.target AS target, '
				. ' a.title AS title, a.comment AS comment, a.added AS added, '
				. ' a.hits AS hits,  a.published AS published, a.params AS params, ' 
				. ' a.checked_out AS checked_out, a.checked_out_time AS checked_out_time, '
				. ' u.name AS author '
			. ' FROM #__comments AS a '
			. ' LEFT JOIN #__users AS u ON u.id = a.userid '
			. self::_buildListWhere($cotid, $params)
			. $orderby;


		$db->setQuery($query, $limitstart, $limit);
		$rows = $db->loadObjectList();		
		return $rows;
	}

	function &getForm( $id=null ){
		return self::_initFormData();
	}
	
	/**
	 * Get Total number of elements 
	 * @return 
	 */
	function &getTotal( $cotid, &$params){
		static $total, $id;
		if(empty($total) && $id != $cotid ){	
			$db =& JFactory::getDBO();
			$query = 'SELECT COUNT(id) FROM #__comments AS a '
				. self::_buildListWhere($cotid, $params);
			$db->setQuery($query);
			$total = $db->loadResult();
		}
		return $total;
	}
	
	/**
	 * get pagination values
	 * @return 
	 * @param $cotid Object
	 */
	function &getListPagination($cotid, &$params)
	{
		global $mainframe;
				
		// Get the pagination request variables
		$limitstart = JRequest::getInt('limitstart', 0);
		$limit = $params->get('count');
		
		// Lets load the content if it doesn't already exist
		jimport('joomla.html.pagination');
		$pagination = new JPagination( 
			self::getTotal($cotid, $params), 
			$limitstart, 
			$limit );
	
		return $pagination;
	}
	
	/**
	 * Build list Where
	 * @return 
	 */
	function _buildListWhere($cotid, &$params){
		global $mainframe, $option;	
		$db =& JFactory::getDBO();
		
		$params->def('section', $option);
		
		$where = array();		
		$where[] = 'a.section = '. $db->Quote($params->get('section'));		
		$where[] = 'a.cotid='. $cotid;
		$where[] = 'a.published = 1';

		// build where
		$where = ' WHERE '. implode( ' AND ', $where );
		
		return $where;
	}
	
	/**
	 * create new item
	 * 
	 * @return 
	 */
	function &_initFormData(){
		global $option;
		
		$user =& JFactory::getUser();
		$item = new stdClass();
		
		$item->id = null;
		$item->ip = $_SERVER['REMOTE_ADDR'];
		$item->section = $option;
		$item->cotid = null;
		$item->userid = $user->get('id');
		$item->uid = $user->get('id');
		
		$item->title = null;
		$item->comment= null;
		$item->added = null;
		
		$item->added_by = $user->get('id');;
		$item->author = null;
		
		$item->hits = 0;
		$item->checked_out = 0;
		$item->checked_out_time = 0;
		$item->published = 1;
		$item->params = new JParameter(null);
		
		return $item;
	}
	
}
