<?php
/**
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Joomla! System Insert Tags Plugin
 *
 * @author		Jacek Zielinski <jacek.zielinski@community.joomla.org>
 * @package		Joomla
 * @subpackage	System
 */
class plgSystemJTags extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access	protected
	 * @param	object	$subject The object to observe
	 * @param 	array   $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemJTags(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	/**
	* Injects Insert Tags input box and drop down menu to adminForm
	*
	* @access	public
	* @since	1.5
	*/
	function onAfterRender()
	{
		 $id = JRequest::getVar('id');
		 if (!$id)
		 {
		 		$cid = JRequest::getVar( 'cid' , array() , '' , 'array' );
				@$id = $cid[0];
				$path = '..'.DS;
		 }
		 $task = JRequest::getVar('task');
		 $option= JRequest::getVar('option');

		 $body = JResponse::getBody();
		 $tagsList = $this->getTags($id, $option);
		 $masterTagList = $this->getMasterTagsList(); // Added by Duane Jeffers
		 if ($task =='edit' && $option=='com_content')
		 {
			// Adding in the Javascript code needed to make the adding of tags easier.
			$header_code = '<script type="text/javascript" src="'.$path.'plugins'.DS.'system'.DS.'jtags-add.js"></script>';
			$body = str_replace('<body', $header_code.'<body', $body);
			// Original Code:
		 	$body = str_replace('<div id="editor-xtd-buttons">', '<p>Insert tags separated by commas, or select from list: '.$masterTagList.'<input type="text" name="tags" id="tags" size="60" value="'.$tagsList.'"></p><div id="editor-xtd-buttons">', $body);
		 }
		 JResponse::setBody($body);
	}

	/**
	* Retrieves tags list database
	*
	* @access	public
	* @param 	Int			$id			Item ID
	* @param 	String		$option		component
	* @return 	String		$tagsList	Tags list separated by commas
	* @since	1.5
	*/
	function getTags($id, $option)
	{
		$query = 'SELECT name FROM #__jtags_items NATURAL JOIN #__jtags_tags ' .
				 'WHERE component=\''.$option.'\' AND item_id=\''.$id.'\'';
		$db =& JFactory::getDBO();
		$db->setQuery($query);
		$tagsArray = $db->loadResultArray();
		$tagsList = implode(",", $tagsArray);
		return $tagsList;
	}

	/** This edit is by Duane Jeffers <djeffers@infoswell.com>
	 * This is to allow multiple tag selection from a pull-down menu. **/

	function getMasterTagsList() {
		$query = 'SELECT `name` FROM #__jtags_tags ORDER BY `name`'; // This is the list of tags in the database.
		//Copy db code from function above.
		$db =& JFactory::getDBO();
		$db->setQuery($query);
		$tagsArray = $db->loadResultArray();
		$return = '<select name="tag_list" onchange="addTag()" id="tag_list">';
		$return .= '<option>--</option>';
		foreach($tagsArray as $value) {
			$return .= '<option value="'.$value.'">'.$value.'</option>';
		}
		$return .= '</select>';
		return $return;
	}


}